Index: gnome.ent
===================================================================
--- gnome.ent	(revision e0a7d67c1c3c52a8cd7b6e9db66eba8a28eeede9)
+++ gnome.ent	(revision 4746e3e99ebfb56ec064ba20f37687a522e72442)
@@ -38,5 +38,5 @@
 <!ENTITY libpeas-version                   "1.24.1">
 <!ENTITY libwnck-version                   "3.32.0">
-<!ENTITY evolution-data-server-version     "3.34.2">
+<!ENTITY evolution-data-server-version     "3.34.3">
 <!ENTITY folks-version                     "0.13.1">
 <!ENTITY gfbgraph-version                  "0.2.3">
@@ -74,7 +74,7 @@
 <!ENTITY brasero-version                   "3.12.2">
 <!ENTITY cheese-version                    "3.34.0">
-<!ENTITY eog-version                       "3.34.1">
+<!ENTITY eog-version                       "3.34.2">
 <!ENTITY evince-version                    "3.34.2">
-<!ENTITY evolution-version                 "3.34.2">
+<!ENTITY evolution-version                 "3.34.3">
 <!ENTITY file-roller-version               "3.32.3">
 <!-- gedit moved to Editors, so it's now in packages.ent -->
@@ -83,5 +83,5 @@
 <!ENTITY gnome-disk-utility-version        "3.34.0">
 <!ENTITY gnome-logs-version                "3.34.0">
-<!ENTITY gnome-maps-version                "3.34.2">
+<!ENTITY gnome-maps-version                "3.34.3">
 <!ENTITY gnome-nettool-version             "3.8.1">
 <!ENTITY gnome-power-manager-version       "3.32.0">
Index: gnome/applications/eog.xml
===================================================================
--- gnome/applications/eog.xml	(revision e0a7d67c1c3c52a8cd7b6e9db66eba8a28eeede9)
+++ gnome/applications/eog.xml	(revision 4746e3e99ebfb56ec064ba20f37687a522e72442)
@@ -7,5 +7,5 @@
   <!ENTITY eog-download-http "&gnome-download-http;/eog/&gnome-minor-34;/eog-&eog-version;.tar.xz">
   <!ENTITY eog-download-ftp  "&gnome-download-ftp;/eog/&gnome-minor-34;/eog-&eog-version;.tar.xz">
-  <!ENTITY eog-md5sum        "f68762ed4cc6306e52cc8528257adf65">
+  <!ENTITY eog-md5sum        "a0a8577d3d337cfa908fa202ce0ecce0">
   <!ENTITY eog-size          "3.4 MB">
   <!ENTITY eog-buildsize     "32 MB">
Index: gnome/applications/evolution.xml
===================================================================
--- gnome/applications/evolution.xml	(revision e0a7d67c1c3c52a8cd7b6e9db66eba8a28eeede9)
+++ gnome/applications/evolution.xml	(revision 4746e3e99ebfb56ec064ba20f37687a522e72442)
@@ -7,7 +7,7 @@
   <!ENTITY evolution-download-http "&gnome-download-http;/evolution/&gnome-minor-34;/evolution-&evolution-version;.tar.xz">
   <!ENTITY evolution-download-ftp  "&gnome-download-ftp;/evolution/&gnome-minor-34;/evolution-&evolution-version;.tar.xz">
-  <!ENTITY evolution-md5sum        "d7d820a125688d5b1712d04a6ddc4b07">
+  <!ENTITY evolution-md5sum        "b28496798c62f467162222af7396a016">
   <!ENTITY evolution-size          "11 MB">
-  <!ENTITY evolution-buildsize     "253 MB">
+  <!ENTITY evolution-buildsize     "254 MB">
   <!ENTITY evolution-time          "1.2 SBU (Using parallelism=4)">
 ]>
Index: gnome/applications/gnome-maps.xml
===================================================================
--- gnome/applications/gnome-maps.xml	(revision e0a7d67c1c3c52a8cd7b6e9db66eba8a28eeede9)
+++ gnome/applications/gnome-maps.xml	(revision 4746e3e99ebfb56ec064ba20f37687a522e72442)
@@ -9,5 +9,5 @@
   <!ENTITY gnome-maps-download-ftp
            "&gnome-download-ftp;/gnome-maps/&gnome-minor-34;/gnome-maps-&gnome-maps-version;.tar.xz">
-  <!ENTITY gnome-maps-md5sum        "b58cea1562ee774e300b49572a3c22ab">
+  <!ENTITY gnome-maps-md5sum        "51b549242e30886865004093f9081652">
   <!ENTITY gnome-maps-size          "3.8 MB">
   <!ENTITY gnome-maps-buildsize     "12 MB">
Index: gnome/platform/evolution-data-server.xml
===================================================================
--- gnome/platform/evolution-data-server.xml	(revision e0a7d67c1c3c52a8cd7b6e9db66eba8a28eeede9)
+++ gnome/platform/evolution-data-server.xml	(revision 4746e3e99ebfb56ec064ba20f37687a522e72442)
@@ -9,8 +9,8 @@
   <!ENTITY evolution-data-server-download-ftp
            "&gnome-download-ftp;/evolution-data-server/&gnome-minor-34;/evolution-data-server-&evolution-data-server-version;.tar.xz">
-  <!ENTITY evolution-data-server-md5sum        "7a0571ac358664c6e96accd3ac4cd245">
+  <!ENTITY evolution-data-server-md5sum        "687d6d7242d60a8a3a3322eee6a45dca">
   <!ENTITY evolution-data-server-size          "4.4 MB">
-  <!ENTITY evolution-data-server-buildsize     "198 MB">
-  <!ENTITY evolution-data-server-time          "1.6 SBU">
+  <!ENTITY evolution-data-server-buildsize     "163 MB">
+  <!ENTITY evolution-data-server-time          "0.7 SBU (Using parallelism=4)">
 ]>
 
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision e0a7d67c1c3c52a8cd7b6e9db66eba8a28eeede9)
+++ introduction/welcome/changelog.xml	(revision 4746e3e99ebfb56ec064ba20f37687a522e72442)
@@ -46,4 +46,20 @@
       <para>January 4th, 2020</para>
       <itemizedlist>
+        <listitem>
+          <para>[bdubbs] - Update to eog-3.34.2. Fixes
+          <ulink url="&blfs-ticket-root;12980">#12980</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to gnome-maps-3.34.3. Fixes
+          <ulink url="&blfs-ticket-root;12979">#12979</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to epiphany-3.34.3.1. Fixes
+          <ulink url="&blfs-ticket-root;12971">#12971</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to evolution evolution-data-server 3.34.3. Fixes
+          <ulink url="&blfs-ticket-root;12977">#12977</ulink>.</para>
+        </listitem>
         <listitem>
           <para>[bdubbs] - Update to libinput-1.15.0. Fixes
Index: packages.ent
===================================================================
--- packages.ent	(revision e0a7d67c1c3c52a8cd7b6e9db66eba8a28eeede9)
+++ packages.ent	(revision 4746e3e99ebfb56ec064ba20f37687a522e72442)
@@ -876,5 +876,5 @@
 <!-- Chapter 40 -->
 <!--<!ENTITY chromium-version             "64.0.3282.186">-->
-<!ENTITY epiphany-version             "3.34.2">
+<!ENTITY epiphany-version             "3.34.3.1">
 <!ENTITY falkon-major-version         "3.1">
 <!ENTITY falkon-minor-version         "0">
Index: xsoft/graphweb/epiphany.xml
===================================================================
--- xsoft/graphweb/epiphany.xml	(revision e0a7d67c1c3c52a8cd7b6e9db66eba8a28eeede9)
+++ xsoft/graphweb/epiphany.xml	(revision 4746e3e99ebfb56ec064ba20f37687a522e72442)
@@ -9,5 +9,5 @@
   <!ENTITY epiphany-download-ftp
            "&gnome-download-ftp;/epiphany/&gnome-minor-34;/epiphany-&epiphany-version;.tar.xz">
-  <!ENTITY epiphany-md5sum        "ae404e3a70ff904f5a23466727f8a90a">
+  <!ENTITY epiphany-md5sum        "c8010e7ef1b0fd2da1e613e17445062a">
   <!ENTITY epiphany-size          "5.1 MB">
   <!ENTITY epiphany-buildsize     "67 MB"> 