Index: general/genlib/boost.xml
===================================================================
--- general/genlib/boost.xml	(revision 5344b5614f38732d31f2de0cf2be794d653e9887)
+++ general/genlib/boost.xml	(revision 4801ff5037c1f7cd6a3c2d0f6fddd8aba3ffb7a9)
@@ -7,8 +7,8 @@
   <!ENTITY boost-download-http "https://dl.bintray.com/boostorg/release/&boost-version;/source/boost_&boost-dl-version;.tar.bz2">
   <!ENTITY boost-download-ftp  " ">
-  <!ENTITY boost-md5sum        "41d7542ce40e171f3f7982aff008ff0d">
-  <!ENTITY boost-size          "78 MB">
-  <!ENTITY boost-buildsize     "849 MB (with regression tests)">
-  <!ENTITY boost-time          "1.7 SBU (using -j4; add 2.2 SBU for regression tests)">
+  <!ENTITY boost-md5sum        "b2dfbd6c717be4a7bb2d88018eaccf75">
+  <!ENTITY boost-size          "82 MB">
+  <!ENTITY boost-buildsize     "875 MB (add 2 MB for checks)">
+  <!ENTITY boost-time          "1.2 SBU (using -j4; add 2.2 SBU for tests)">
 ]>
 
@@ -112,7 +112,10 @@
 
     <para>
-      To run the Boost.Build's regression test (<xref linkend="python2"/>
-      is required), issue <command>pushd tools/build/test; python test_all.py;
-      popd</command>. All 131 tests should pass.
+      To run the Boost.Build's regression test, (<xref linkend="python2"/>
+      is required).  In addition, one file needs to be renamed
+      to avoid a conflict with a standard python module.  
+      Run the tests with: issue <command>pushd tools/build/test; 
+      mv zlib.py zlib.py-orig; python test_all.py; popd</command>. 
+      All 133 tests should pass.
     </para>
 
@@ -138,10 +141,4 @@
     <title>Command Explanations</title>
 
-<!--    <para>
-      <command>sed ... has_binary_operator.hpp</command>: This command
-      fixes a header to overcome a problem with Qt's moc command.  It
-      is necessary for building some KDE packages.
-    </para>
--->
     <para>
       <parameter>threading=multi</parameter>: This parameter ensures that
Index: general/prog/perl-modules.xml
===================================================================
--- general/prog/perl-modules.xml	(revision 5344b5614f38732d31f2de0cf2be794d653e9887)
+++ general/prog/perl-modules.xml	(revision 4801ff5037c1f7cd6a3c2d0f6fddd8aba3ffb7a9)
@@ -10,5 +10,5 @@
 
   <!ENTITY Archive-Zip-download-http "&perl_authors;/id/P/PH/PHRED/Archive-Zip-&Archive-Zip-version;.tar.gz">
-  <!ENTITY Archive-Zip-md5sum "b649a593391573f9382cef8c08d1d5ba">
+  <!ENTITY Archive-Zip-md5sum "ae7c617cdf909809b9b2210e620b03ca">
 
   <!ENTITY autovivification-download-http "&perl_authors;/id/V/VP/VPIT/autovivification-&autovivification-version;.tar.gz">
@@ -58,5 +58,5 @@
 
   <!ENTITY File-Slurper-download-http "&perl_authors;/id/L/LE/LEONT/File-Slurper-&File-Slurper-version;.tar.gz">
-  <!ENTITY File-Slurper-md5sum "e3d593d0c5b689076b07f2ca93f3c5c9">
+  <!ENTITY File-Slurper-md5sum "e0482d3d5a0522e39132ba54af9f1ce3">
 
   <!ENTITY File-Which-download-http "&perl_authors;/id/P/PL/PLICEASE/File-Which-&File-Which-version;.tar.gz">
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 5344b5614f38732d31f2de0cf2be794d653e9887)
+++ introduction/welcome/changelog.xml	(revision 4801ff5037c1f7cd6a3c2d0f6fddd8aba3ffb7a9)
@@ -45,4 +45,20 @@
       <para>December 22nd, 2017</para>
       <itemizedlist>
+        <listitem>
+          <para>[bdubbs] - Update to boost_1_66_0. Fixes
+          <ulink url="&blfs-ticket-root;10183">#10183</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to exim-4.90. Fixes
+          <ulink url="&blfs-ticket-root;10193">#10193</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to Archive-Zip-1.60 (perl module). Fixes
+          <ulink url="&blfs-ticket-root;10195">#10195</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to File-Slurper-0.011 (perl module). Fixes
+          <ulink url="&blfs-ticket-root;10186">#10186</ulink>.</para>
+        </listitem>
         <listitem>
           <para>[bdubbs] - Update to harfbuzz-1.7.4. Fixes
Index: packages.ent
===================================================================
--- packages.ent	(revision 5344b5614f38732d31f2de0cf2be794d653e9887)
+++ packages.ent	(revision 4801ff5037c1f7cd6a3c2d0f6fddd8aba3ffb7a9)
@@ -90,6 +90,6 @@
 
 <!ENTITY boost-major                  "1">
-<!ENTITY boost-minor                  "65">
-<!ENTITY boost-patch                  "1">
+<!ENTITY boost-minor                  "66">
+<!ENTITY boost-patch                  "0">
 <!ENTITY boost-version                "&boost-major;.&boost-minor;.&boost-patch;">
 <!ENTITY boost-dl-version             "&boost-major;_&boost-minor;_&boost-patch;">
@@ -355,5 +355,5 @@
 <!-- Perl module versions used in the Perl Modules instructions -->
 <!ENTITY autovivification-version     "0.18">
-<!ENTITY Archive-Zip-version          "1.59">
+<!ENTITY Archive-Zip-version          "1.60">
 <!ENTITY Business-ISBN-version        "3.004">
 <!ENTITY Business-ISMN-version        "1.131">
@@ -370,5 +370,5 @@
 <!ENTITY Error-version                "0.17025">
 <!ENTITY File-BaseDir-version         "0.07">
-<!ENTITY File-Slurper-version         "0.010">
+<!ENTITY File-Slurper-version         "0.011">
 <!ENTITY File-Which-version           "1.22">
 <!ENTITY HTML-Parser-version          "3.72">
@@ -502,5 +502,5 @@
 <!ENTITY dovecot-version              "&dovecot-major;.&dovecot-minor;.&dovecot-micro;">
 
-<!ENTITY exim-version                 "4.89">
+<!ENTITY exim-version                 "4.90">
 <!ENTITY postfix-version              "3.2.4">
 <!ENTITY sendmail-version             "8.15.2">
Index: server/mail/exim.xml
===================================================================
--- server/mail/exim.xml	(revision 5344b5614f38732d31f2de0cf2be794d653e9887)
+++ server/mail/exim.xml	(revision 4801ff5037c1f7cd6a3c2d0f6fddd8aba3ffb7a9)
@@ -13,10 +13,8 @@
   <!-- if above don't work, please use one of the official mirrors at
        http://www.exim.org/mirmon/ftp_mirrors.html -->
-  <!ENTITY exim-md5sum          "b569ec80c495dffc54545895e680ed61">
+  <!ENTITY exim-md5sum          "02aad0b2692968ba7ea96d6e4253b898">
   <!ENTITY exim-size            "1.6 MB">
   <!ENTITY exim-buildsize       "14 MB">
   <!ENTITY exim-time            "0.2 SBU">
-
-
 
   <!ENTITY exim-daemon-version  "&exim-version;-3">
@@ -75,12 +73,4 @@
         shown at <ulink url="http://exim.org/docs.html"/>.</para>
       </listitem>
-      <listitem>
-        <para>
-          Recommended patch (prevents triggering CVE-2017-1000369 by using
-          exim commands): <ulink
-            url="&patch-root;/exim-&exim-version;-avoid_mem_clash-1.patch"/>
-        </para>
-      </listitem>
-
     </itemizedlist>
 
@@ -135,6 +125,5 @@
     commands:</para>
 
-<screen><userinput>patch -p1 -i ../exim-&exim-version;-avoid_mem_clash-1.patch &amp;&amp;
-sed -e 's,^BIN_DIR.*$,BIN_DIRECTORY=/usr/sbin,'    \
+<screen><userinput>sed -e 's,^BIN_DIR.*$,BIN_DIRECTORY=/usr/sbin,'    \
     -e 's,^CONF.*$,CONFIGURE_FILE=/etc/exim.conf,' \
     -e 's,^EXIM_USER.*$,EXIM_USER=exim,'           \
@@ -142,4 +131,5 @@
     -e '/USE_OPENSSL/s,^#,,'                       \
     -e 's,^EXIM_MONITOR,#EXIM_MONITOR,' src/EDITME > Local/Makefile &amp;&amp;
+
 printf "USE_GDBM = yes\nDBMLIB = -lgdbm\n" >> Local/Makefile &amp;&amp;
 make</userinput></screen>
@@ -151,9 +141,11 @@
 <!-- dev note: make INSTALL_ARG=-no_chown DESTDIR=<DESTDIR> install -->
 
-<screen role="root"><userinput>make install                                      &amp;&amp;
-install -v -m644 doc/exim.8 /usr/share/man/man8   &amp;&amp;
-install -v -d -m755 /usr/share/doc/exim-&exim-version;    &amp;&amp;
+<screen role="root"><userinput>make install                                    &amp;&amp;
+install -v -m644 doc/exim.8 /usr/share/man/man8 &amp;&amp;
+
+install -v -d -m755    /usr/share/doc/exim-&exim-version; &amp;&amp;
 install -v -m644 doc/* /usr/share/doc/exim-&exim-version; &amp;&amp;
-ln -sfv exim /usr/sbin/sendmail                   &amp;&amp;
+
+ln -sfv exim /usr/sbin/sendmail                 &amp;&amp;
 install -v -d -m750 -o exim -g exim /var/spool/exim</userinput></screen>
 