Index: connect/connect.xml
===================================================================
--- connect/connect.xml	(revision 8729daa6c7cc265ebca1048e1a2b32cafe94f332)
+++ connect/connect.xml	(revision 4839c17688948012c049d42f992cf88d5b374b0d)
@@ -8,7 +8,7 @@
 <part id="connect" xreflabel="Connecting to a Network">
   <?dbhtml filename="connect.html" dir="connect"?>
-  
+
   <title>Connecting to a Network</title>
-  
+
   <partintro>
     <para>The LFS book covers setting up networking by connecting to a LAN 
@@ -17,8 +17,8 @@
     the most popular methods in this chapter.</para>
   </partintro>
-  
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="dialup/dialup.xml"/>  
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="dhcp/dhcp.xml"/>  
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="other/other.xml"/>  
+
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="dialup/dialup.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="dhcp/dhcp.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="other/other.xml"/>
 
 </part>
Index: connect/dhcp/dhcp-client.xml
===================================================================
--- connect/dhcp/dhcp-client.xml	(revision 8729daa6c7cc265ebca1048e1a2b32cafe94f332)
+++ connect/dhcp/dhcp-client.xml	(revision 4839c17688948012c049d42f992cf88d5b374b0d)
@@ -8,16 +8,16 @@
 <sect1 id="dhcp-client" xreflabel="DHCP-&dhcp-version; Client">
   <?dbhtml filename="dhcpclient.html"?>
-  
+
   <sect1info>
     <othername>$LastChangedBy$</othername>
     <date>$Date$</date>
   </sect1info>
-  
+
   <title>DHCP-&dhcp-version; Client</title>
-  
+
   <indexterm zone="dhcp-client">
     <primary sortas="b-dhclient">dhclient</primary>
   </indexterm>
-  
+
   <para>The <application>DHCP</application> package comes with
   both a client (<command>dhclient</command>) and a server program for 
@@ -32,20 +32,20 @@
   package, return here for information on how to configure the client
   (<command>dhclient</command>).</para>
-  
+
   <sect2 role="configuration">
     <title>Configuring DHCP Client</title>
-  
+
       <para id="dhclient-service">To configure <command>dhclient</command>, 
       you need to first install the network service script,
-      <filename>/etc/sysconfig/network-devices/services/dhclient</filename> 
+      <filename>/etc/sysconfig/network-devices/services/dhclient</filename>
       included in the <xref linkend="intro-important-bootscripts"/> package 
       (as <systemitem class="username">root</systemitem>):</para>
-      
+
       <indexterm zone="dhcp-client dhclient-service">
         <primary sortas="f-dhclient">dhclient (service script)</primary>
       </indexterm>
-    
+
 <screen role='root'><userinput>make install-service-dhclient</userinput></screen>
-    
+
     <para id="dhclient-config1">Next, create the 
     <filename>/etc/sysconfig/network-devices/ifconfig.eth0/dhclient</filename>
@@ -53,9 +53,9 @@
     class="username">root</systemitem> user.  Adjust as 
     necessary for additional interfaces:</para>
-    
+
     <indexterm zone="dhcp-client dhclient-config1">
       <primary sortas="e-etc-sysconfig-...-dhclient">/etc/sysconfig/.../dhclient</primary>
     </indexterm>
-    
+
 <screen role='root'><userinput>install -v -d /etc/sysconfig/network-devices/ifconfig.eth0 &amp;&amp;
 cat &gt; /etc/sysconfig/network-devices/ifconfig.eth0/dhclient &lt;&lt; "EOF"
@@ -65,25 +65,25 @@
 DHCP_STOP="-q -r <replaceable>[add additional stop parameters here]</replaceable>"</literal>
 EOF</userinput></screen>
-    
+
     <para>For more information on the appropriate 
-    <envar>DHCP_START</envar> and <envar>DHCP_STOP</envar> 
+    <envar>DHCP_START</envar> and <envar>DHCP_STOP</envar>
     values, examine the man page for <command>dhclient</command>.</para>
-    
+
     <para id="dhclient-config2">Finally, you should create the 
     <filename>/etc/dhclient.conf</filename> file using the following commands 
-    as the <systemitem class="username">root</systemitem> user:</para>  
-    
+    as the <systemitem class="username">root</systemitem> user:</para>
+
     <indexterm zone="dhcp-client dhclient-config2">
       <primary sortas="e-etc-dhclient.conf">/etc/dhclient.conf</primary>
     </indexterm>
-    
+
     <note>
       <para>You'll need to add a second interface definition to the file if you 
       have more than one interface.</para>
     </note>
-    
+
 <screen role='root'><userinput>cat &gt; /etc/dhclient.conf &lt;&lt; "EOF"
 <literal># dhclient.conf
-    
+
 interface "eth0"{
 prepend domain-name-servers 127.0.0.1;
@@ -94,5 +94,5 @@
 # end dhclient.conf</literal>
 EOF</userinput></screen>
-    
+
   </sect2>
 
Index: connect/dhcp/dhcp.xml
===================================================================
--- connect/dhcp/dhcp.xml	(revision 8729daa6c7cc265ebca1048e1a2b32cafe94f332)
+++ connect/dhcp/dhcp.xml	(revision 4839c17688948012c049d42f992cf88d5b374b0d)
@@ -8,7 +8,7 @@
 <chapter id="connect-dhcp">
   <?dbhtml filename="dhcp.html"?>
-  
+
   <title>DHCP Clients</title>
-  
+
   <para>DHCP stands for Dynamic Host Configuration Protocol. It is a protocol 
   used by many sites to automatically provide information such as IP addresses, 
@@ -16,5 +16,5 @@
   DHCP, you will need a DHCP client in order to connect to it. 
   DHCP is also used by some cable modems.</para>
-  
+
   <para>BLFS currently provides installation instructions for 
   two DHCP clients, <command>dhclient</command> (from the 
@@ -24,7 +24,7 @@
   <command>network</command> bootscript and the DHCP 
   client of your choice.</para>
-  
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="dhcp-client.xml"/>  
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="dhcpcd.xml"/>  
+
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="dhcp-client.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="dhcpcd.xml"/>
 
 </chapter>
Index: connect/dhcp/dhcpcd.xml
===================================================================
--- connect/dhcp/dhcpcd.xml	(revision 8729daa6c7cc265ebca1048e1a2b32cafe94f332)
+++ connect/dhcp/dhcpcd.xml	(revision 4839c17688948012c049d42f992cf88d5b374b0d)
@@ -15,12 +15,12 @@
 <sect1 id="dhcpcd" xreflabel="dhcpcd-&dhcpcd-version;">
   <?dbhtml filename="dhcpcd.html"?>
-  
+
   <sect1info>
     <othername>$LastChangedBy$</othername>
     <date>$Date$</date>
   </sect1info>
-  
+
   <title>Dhcpcd-&dhcpcd-version;</title>
-  
+
   <indexterm zone="dhcpcd">
     <primary sortas="a-Dhcpcd">Dhcpcd</primary>
@@ -33,5 +33,5 @@
     <command>dhcpcd</command> client. This is useful for connecting your computer 
     to a network which uses DHCP to assign network addresses.</para>
-    
+
     <bridgehead renderas="sect3">Package Information</bridgehead>
     <itemizedlist spacing="compact">
@@ -55,5 +55,5 @@
       </listitem>
     </itemizedlist>
-    
+
     <bridgehead renderas="sect3">Additional Downloads</bridgehead>
     <itemizedlist spacing='compact'>
@@ -63,7 +63,7 @@
       </listitem>
     </itemizedlist>
-    
-  </sect2>
-  
+
+  </sect2>
+
   <sect2 role="installation">
     <title>Installation of Dhcpcd</title>
@@ -76,11 +76,11 @@
     --mandir=/usr/share/man &amp;&amp;
 make</userinput></screen>
-    
+
     <para>Now, as the <systemitem class="username">root</systemitem> user:</para>
-    
+
 <screen role="root"><userinput>make install</userinput></screen>
-    
-  </sect2>
-  
+
+  </sect2>
+
   <sect2 role="commands">
     <title>Command Explanations</title>
@@ -97,5 +97,5 @@
     program into FHS compliance, but more importantly, puts 
     files where you expect them to be.</para>
-    
+
     <para><parameter>--prefix=""</parameter>: There may be a good reason for
     abandoning the normal BLFS convention of using
@@ -109,15 +109,15 @@
     <filename class="directory">/usr/sbin</filename>. This command installs to 
     <filename class="directory">/sbin</filename>.</para>
-    
+
     <para><parameter>--sysconfdir=/var/lib</parameter>: This command installs
     configuration files in the <filename class="directory">/var/lib</filename>
     directory.</para>
-    
+
     <para><parameter>--mandir=/usr/share/man</parameter>: This command installs 
     the man pages to the <filename class="directory">/usr/share/man</filename>
     directory.</para>
-    
-  </sect2>
-  
+
+  </sect2>
+
   <sect2 role="configuration">
     <title>Configuring Dhcpcd</title>
@@ -125,11 +125,11 @@
     <sect3 id="dhcpcd-config">
       <title>Config Files</title>
-      
+
       <para><filename>/var/lib/dhcpc/*</filename></para>
-      
+
       <indexterm zone="dhcpcd dhcpcd-config">
         <primary sortas="e-var-lib-dhcpc">/var/lib/dhcpc/*</primary>
       </indexterm>
-    
+
     </sect3>
 
@@ -142,5 +142,5 @@
       included in the <xref linkend="intro-important-bootscripts"/> package 
       (as user <systemitem class="username">root</systemitem>):</para>
-      
+
       <indexterm zone="dhcpcd dhcpcd-init">
         <primary sortas="f-dhcpcd">dhcpcd (service script)</primary>
@@ -151,8 +151,8 @@
       <para id="dhcpcd-config2">Finally, as the <systemitem 
       class="username">root</systemitem> user create the
-      <filename>/etc/sysconfig/network-devices/ifconfig.eth0/dhcpcd</filename> 
+      <filename>/etc/sysconfig/network-devices/ifconfig.eth0/dhcpcd</filename>
       configuration file using the following commands.  Adjust appropriately 
       for additional interfaces:</para>
-      
+
       <indexterm zone="dhcpcd dhcpcd-config2">
         <primary sortas="e-etc-sysconfig-dhcpcd">/etc/sysconfig/.../dhcpcd</primary>
@@ -178,5 +178,5 @@
       <envar>DHCP_STOP</envar> values, examine the man page for 
       <command>dhcpcd</command>.</para>
-      
+
       <note>
         <para id="dhcpcd-config3">The default behavior of 
@@ -188,21 +188,21 @@
         <envar>DHCP_START</envar> value.</para>
       </note>
-      
+
       <indexterm zone="dhcpcd dhcpcd-config3">
         <primary sortas="e-etc-resolv.conf">/etc/resolv.conf</primary>
       </indexterm>
-      
+
       <indexterm zone="dhcpcd dhcpcd-config3">
         <primary sortas="e-etc-yp.conf">/etc/yp.conf</primary>
       </indexterm>
-      
+
       <indexterm zone="dhcpcd dhcpcd-config3">
         <primary sortas="e-etc-ntp.conf">/etc/ntp.conf</primary>
       </indexterm>
-      
+
     </sect3>
-    
-  </sect2>
-  
+
+  </sect2>
+
   <sect2 role="content">
     <title>Contents</title>
@@ -212,5 +212,5 @@
       <segtitle>Installed Libraries</segtitle>
       <segtitle>Installed Directories</segtitle>
-      
+
       <seglistitem>
         <seg>dhcpcd</seg>
@@ -219,10 +219,10 @@
       </seglistitem>
     </segmentedlist>
-    
+
     <variablelist>
       <bridgehead renderas="sect3">Short Descriptions</bridgehead>
       <?dbfo list-presentation="list"?>
       <?dbhtml list-presentation="table"?>
-      
+
       <varlistentry id="dhcpcd-prog">
         <term><command>dhcpcd</command></term>
@@ -236,5 +236,5 @@
         </listitem>
       </varlistentry>
-    
+
     </variablelist>
 
Index: connect/dialup/dialup.xml
===================================================================
--- connect/dialup/dialup.xml	(revision 8729daa6c7cc265ebca1048e1a2b32cafe94f332)
+++ connect/dialup/dialup.xml	(revision 4839c17688948012c049d42f992cf88d5b374b0d)
@@ -8,11 +8,11 @@
 <chapter id="connect-dialup">
   <?dbhtml filename="dialup.html"?>
-  
+
   <title>Dial-up Networking</title>
-  
+
   <para>This chapter provides utilites for system interaction with a modem.</para>
-  
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="ppp.xml"/> 
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="wvdial.xml"/> 
+
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="ppp.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="wvdial.xml"/>
 
 </chapter>
Index: connect/dialup/ppp.xml
===================================================================
--- connect/dialup/ppp.xml	(revision 8729daa6c7cc265ebca1048e1a2b32cafe94f332)
+++ connect/dialup/ppp.xml	(revision 4839c17688948012c049d42f992cf88d5b374b0d)
@@ -15,12 +15,12 @@
 <sect1 id="ppp" xreflabel="PPP-&ppp-version;">
   <?dbhtml filename="ppp.html"?>
-  
+
   <sect1info>
     <othername>$LastChangedBy$</othername>
     <date>$Date$</date>
   </sect1info>
-  
+
   <title>PPP-&ppp-version;</title>
-  
+
   <indexterm zone="ppp">
     <primary sortas="a-PPP">PPP</primary>
@@ -29,10 +29,10 @@
   <sect2 role="package">
     <title>Introduction to PPP</title>
-    
+
     <para>The <application>PPP</application> package contains the 
-    <command>pppd</command> daemon and the <command>chat</command> 
+    <command>pppd</command> daemon and the <command>chat</command>
     program. This is used for connecting to other machines; often for connecting to
     the Internet via a dial-up or PPPoE connection to an ISP.</para>
-    
+
     <bridgehead renderas="sect3">Package Information</bridgehead>
     <itemizedlist spacing="compact">
@@ -56,12 +56,12 @@
       </listitem>
     </itemizedlist>
-    
+
     <bridgehead renderas="sect3">PPP Dependencies</bridgehead>
-    
+
     <bridgehead renderas="sect4">Required</bridgehead>
     <para><xref linkend="libpcap"/></para>
-    
+
   </sect2>
-  
+
   <sect2 role="installation">
     <title>Installation of PPP</title>
@@ -71,9 +71,9 @@
       compiled into the kernel or available as a kernel module.</para>
     </note>
-    
+
     <indexterm zone="ppp ppp-kernel">
       <primary sortas="d-PPP-support">PPP support</primary>
     </indexterm>
-    
+
     <para>Install <application>PPP</application> by running the 
     following commands:</para>
@@ -83,12 +83,12 @@
 
     <para>This package does not come with a test suite.</para>
-    
+
     <para>Now, as the <systemitem class="username">root</systemitem> user:</para>
 
 <screen role='root'><userinput>make install &amp;&amp;
 make install-etcppp</userinput></screen>
-    
+
   </sect2>
-  
+
   <sect2 role="commands">
     <title>Command Explanations</title>
@@ -96,7 +96,7 @@
     <para><command>make install-etcppp</command>: This command puts example 
     configuration files in <filename class="directory">/etc/ppp</filename>.</para>
-    
+
   </sect2>
-  
+
   <sect2 role="configuration">
     <title>Configuring PPP</title>
@@ -104,25 +104,25 @@
     <sect3 id="ppp-config">
       <title>Config Files</title>
-      
+
       <para><filename>/etc/ppp/*</filename></para>
-      
+
       <indexterm zone="ppp ppp-config">
         <primary sortas="e-etc-ppp-star">/etc/ppp/*</primary>
       </indexterm>
-    
+
     </sect3>
-    
+
     <sect3>
       <title>Configuration Information</title>
-      
+
       <para>The <application>PPP</application> daemon requires very little 
       configuration. The main trick is scripting the connection. This can be done 
       either using the <command>chat</command> program which comes with 
       this package or by using <xref linkend="wvdial"/>.</para>
-      
+
     </sect3>
-    
+
   </sect2>
-  
+
   <sect2 role="content">
     <title>Contents</title>
@@ -132,5 +132,5 @@
       <segtitle>Installed Libraries</segtitle>
       <segtitle>Installed Directories</segtitle>
-      
+
       <seglistitem>
         <seg>chat, pppd, pppdump, pppoe-discovery and pppstats</seg>
@@ -140,10 +140,10 @@
       </seglistitem>
     </segmentedlist>
-    
+
     <variablelist>
       <bridgehead renderas="sect3">Short Descriptions</bridgehead>
       <?dbfo list-presentation="list"?>
       <?dbhtml list-presentation="table"?>
-      
+
       <varlistentry id="chat">
         <term><command>chat</command></term>
@@ -158,5 +158,5 @@
         </listitem>
       </varlistentry>
-      
+
       <varlistentry id="pppd">
         <term><command>pppd</command></term>
@@ -168,5 +168,5 @@
         </listitem>
       </varlistentry>
-      
+
       <varlistentry id="pppdump">
         <term><command>pppdump</command></term>
@@ -180,5 +180,5 @@
         </listitem>
       </varlistentry>
-      
+
       <varlistentry id="pppstats">
         <term><command>pppstats</command></term>
@@ -191,5 +191,5 @@
         </listitem>
       </varlistentry>
-    
+
     </variablelist>
 
Index: connect/dialup/wvdial.xml
===================================================================
--- connect/dialup/wvdial.xml	(revision 8729daa6c7cc265ebca1048e1a2b32cafe94f332)
+++ connect/dialup/wvdial.xml	(revision 4839c17688948012c049d42f992cf88d5b374b0d)
@@ -15,12 +15,12 @@
 <sect1 id="wvdial" xreflabel="WvDial-&wvdial-version;">
   <?dbhtml filename="wvdial.html"?>
-  
+
   <sect1info>
     <othername>$LastChangedBy$</othername>
     <date>$Date$</date>
   </sect1info>
-  
+
   <title>WvDial-&wvdial-version;</title>
-  
+
   <indexterm zone="wvdial">
     <primary sortas="a-WvDial">WvDial</primary>
@@ -29,5 +29,5 @@
   <sect2 role="package">
     <title>Introduction to WvDial</title>
-    
+
     <para>The <application>WvDial</application> package contains a no-nonsense, 
     quick and easy to use alternative to <command>chat</command> and
@@ -35,5 +35,5 @@
     without the fuss and hassle of <command>chat</command> issues, then you'll 
     want this.</para>
-    
+
     <bridgehead renderas="sect3">Package Information</bridgehead>
     <itemizedlist spacing="compact">
@@ -57,12 +57,12 @@
       </listitem>
     </itemizedlist>
-    
+
     <bridgehead renderas="sect3">WvDial Dependencies</bridgehead>
-    
+
     <bridgehead renderas="sect4">Required</bridgehead>
     <para><xref linkend="wvstreams"/> and <xref linkend="ppp"/></para>
-    
+
   </sect2>
-  
+
   <sect2 role="installation">
     <title>Installation of WvDial</title>
@@ -72,11 +72,11 @@
 
 <screen><userinput>make PREFIX=/usr</userinput></screen>
-    
+
     <para>Now, as the <systemitem class="username">root</systemitem> user:</para>
-    
+
 <screen role="root"><userinput>make PREFIX=/usr install</userinput></screen>
-    
+
   </sect2>
-  
+
   <sect2 role="configuration">
     <title>Configuring WvDial</title>
@@ -84,18 +84,18 @@
     <sect3 id="wvdial-config">
       <title>Config Files</title>
-      
+
       <para><filename>/etc/wvdial.conf</filename> and 
       <filename>/etc/ppp/peers/*</filename></para>
-      
+
       <indexterm zone="wvdial wvdial-config">
         <primary sortas="e-etc-wvdial.conf">/etc/wvdial.conf</primary>
       </indexterm>
-      
+
       <indexterm zone="wvdial wvdial-config">
         <primary sortas="e-etc-ppp-peers">/etc/ppp/peers/*</primary>
       </indexterm>
-    
+
     </sect3>
-    
+
     <sect3>
       <title>Configuration Information</title>
@@ -111,5 +111,5 @@
       ISP's phone number, login name and password into the
       <filename>/etc/wvdial.conf</filename> file.</para>
-      
+
       <para>You then start <command>wvdial</command> with:</para>
 
@@ -122,9 +122,9 @@
       Non-Root Dial Out HOWTO</ulink> if you want to give non-root users
       access to <command>wvdial</command>.</para>
-      
+
     </sect3>
-    
+
   </sect2>
-  
+
   <sect2 role="content">
     <title>Contents</title>
@@ -134,5 +134,5 @@
       <segtitle>Installed Libraries</segtitle>
       <segtitle>Installed Directory</segtitle>
-      
+
       <seglistitem>
         <seg>wvdial and wvdialconf</seg>
@@ -141,10 +141,10 @@
       </seglistitem>
     </segmentedlist>
-    
+
     <variablelist>
       <bridgehead renderas="sect3">Short Descriptions</bridgehead>
       <?dbfo list-presentation="list"?>
       <?dbhtml list-presentation="table"?>
-      
+
       <varlistentry id="wvdial-prog">
         <term><command>wvdial</command></term>
@@ -156,5 +156,5 @@
         </listitem>
       </varlistentry>
-      
+
       <varlistentry id="wvdialconf">
         <term><command>wvdialconf</command></term>
@@ -167,5 +167,5 @@
         </listitem>
       </varlistentry>
-    
+
     </variablelist>
 
Index: connect/other/other.xml
===================================================================
--- connect/other/other.xml	(revision 8729daa6c7cc265ebca1048e1a2b32cafe94f332)
+++ connect/other/other.xml	(revision 4839c17688948012c049d42f992cf88d5b374b0d)
@@ -8,13 +8,13 @@
 <chapter id="connect-other">
   <?dbhtml filename="other.html"?>
-  
+
   <title>Other Connections</title>
-  
+
   <para>Other methods to connect to large networks are through ISDN
   and PPPoE interfaces, among others. PPPoE is discussed here.  
   Pages written for ISDN (or others as the need arises) are always welcome 
   and will be included in future books, if available.</para>
-  
-  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="pppoe.xml"/> 
+
+  <xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="pppoe.xml"/>
 
 </chapter>
Index: connect/other/pppoe.xml
===================================================================
--- connect/other/pppoe.xml	(revision 8729daa6c7cc265ebca1048e1a2b32cafe94f332)
+++ connect/other/pppoe.xml	(revision 4839c17688948012c049d42f992cf88d5b374b0d)
@@ -15,12 +15,12 @@
 <sect1 id="pppoe" xreflabel="RP-PPPoE-&pppoe-version;">
   <?dbhtml filename="pppoe.html"?>
-  
+
   <sect1info>
     <othername>$LastChangedBy$</othername>
     <date>$Date$</date>
   </sect1info>
-  
+
   <title>RP-PPPoE-&pppoe-version;</title>
-  
+
   <indexterm zone="pppoe">
     <primary sortas="a-RP-PPPoE">RP-PPPoE</primary>
@@ -29,6 +29,6 @@
   <sect2 role="package">
     <title>Introduction to RP-PPPoE</title>
-    
-    <para>The Roaring Penguin <application>PPPoE</application> 
+
+    <para>The Roaring Penguin <application>PPPoE</application>
     package contains both a client and a server component that works with the 
     client. The client allows you to connect to large networks that use the 
@@ -36,5 +36,5 @@
     runs alongside the client, allowing you to configure other clients that send 
     out a configuration request.</para>
-    
+
     <bridgehead renderas="sect3">Package Information</bridgehead>
     <itemizedlist spacing="compact">
@@ -58,7 +58,7 @@
       </listitem>
     </itemizedlist>
-    
+
     <bridgehead renderas="sect3">RP-PPPoE Dependencies</bridgehead>
-    
+
     <bridgehead renderas="sect4">Required</bridgehead>
     <para><xref linkend="ppp"/> and
@@ -67,7 +67,7 @@
     utilize <application>IPRoute2</application>: <ulink 
     url="&patch-root;/rp-pppoe-&pppoe-version;-iproute2-1.patch"/>)</para>
-    
-  </sect2>
-  
+
+  </sect2>
+
   <sect2 role="installation">
     <title>Installation of RP-PPPoE</title>
@@ -79,9 +79,9 @@
       <filename>rp-pppoe-&pppoe-version;/doc/KERNEL-MODE-PPPOE</filename>.</para>
     </note>
-    
+
     <indexterm zone="pppoe pppoe-kernel">
       <primary sortas="d-Kernel-mode-PPPoE">Kernel-mode PPPoE</primary>
     </indexterm>
-    
+
     <para>Fix the location of the logger executable in several ADSL scripts:</para>
 
@@ -96,11 +96,11 @@
 
     <para>This package does not come with a test suite.</para>
-    
+
     <para>Now, as the <systemitem class="username">root</systemitem> user:</para>
-    
+
 <screen role="root"><userinput>make install</userinput></screen>
-    
-  </sect2>
-  
+
+  </sect2>
+
   <sect2 role="commands">
     <title>Command Explanations</title>
@@ -111,7 +111,7 @@
     run the same commands, which are then immediately followed by the 
     <command>adsl-setup</command> script.</para>
-    
-  </sect2>
-  
+
+  </sect2>
+
   <sect2 role="configuration">
     <title>Configuring RP-PPPoE</title>
@@ -119,5 +119,5 @@
     <sect3 id="pppoe-config">
       <title>Config Files</title>
-      
+
       <para><filename>/etc/ppp/pppoe.conf</filename>, 
       <filename>/etc/ppp/firewall-standalone</filename>, 
@@ -127,33 +127,33 @@
       <filename>/etc/ppp/pap-secrets</filename>, 
       <filename>/etc/ppp/chap-secrets</filename></para>
-      
+
       <indexterm zone="pppoe pppoe-config">
         <primary sortas="e-etc-ppp-pppoe.conf">/etc/ppp/pppoe.conf</primary>
       </indexterm>
-      
+
       <indexterm zone="pppoe pppoe-config">
         <primary sortas="e-etc-ppp-firewall-standalone">/etc/ppp/firewall-standalone</primary>
       </indexterm>
-      
+
       <indexterm zone="pppoe pppoe-config">
         <primary sortas="e-etc-ppp-firewall-masq">/etc/ppp/firewall-masq</primary>
       </indexterm>
-      
+
       <indexterm zone="pppoe pppoe-config">
         <primary sortas="e-etc-ppp-pppoe-server-options">/etc/ppp/pppoe-server-options</primary>
       </indexterm>
-      
+
       <indexterm zone="pppoe pppoe-config">
         <primary sortas="e-etc-resolv.conf">/etc/resolv.conf</primary>
       </indexterm>
-      
+
       <indexterm zone="pppoe pppoe-config">
         <primary sortas="e-etc-ppp-pap-secrets">/etc/ppp/pap-secrets</primary>
       </indexterm>
-      
+
       <indexterm zone="pppoe pppoe-config">
         <primary sortas="e-etc-ppp-chap-secrets">/etc/ppp/chap-secrets</primary>
       </indexterm>
-    
+
     </sect3>
 
@@ -163,5 +163,5 @@
       <para>To configure <application>RP-PPPoE</application> after installation, 
       you should run the <command>adsl-setup</command> script.</para>
-      
+
       <para>When configuring your connection, you will need to have your 
       ISP's nameserver information available, as well as your 
@@ -175,7 +175,7 @@
       <para id="pppoe-init"><emphasis>Optionally</emphasis> install the 
       <filename>/etc/sysconfig/network-devices/services/pppoe</filename> service 
-      script included with the <xref linkend="intro-important-bootscripts"/> 
+      script included with the <xref linkend="intro-important-bootscripts"/>
       package (as user <systemitem class="username">root</systemitem>).</para>
-      
+
       <indexterm zone="pppoe pppoe-init">
         <primary sortas="f-pppoe-service-script">pppoe (service script)</primary>
@@ -187,9 +187,9 @@
       <filename>pppoe</filename> service script (as user <systemitem 
       class="username">root</systemitem>):</para>
-      
+
       <indexterm zone="pppoe pppoe-config2">
         <primary sortas="e-etc-sysconfig-pppoe">/etc/sysconfig/.../pppoe</primary>
       </indexterm>
-      
+
       <note>
         <para>If you have previously configured the network interface that
@@ -197,5 +197,5 @@
         configuration files for that interface (as user <systemitem 
         class="username">root</systemitem>):</para>
-      
+
 <screen role='root'><userinput>rm -v /etc/sysconfig/network-devices/ifconfig.eth0/*</userinput></screen>
       </note>
@@ -209,9 +209,9 @@
       <!-- A TYPE="[user/kernel]" will be added at a later date when kernel
       mode pppoe is described here. -->
-      
+
     </sect3>
-    
-  </sect2>
-  
+
+  </sect2>
+
   <sect2 role="content">
     <title>Contents</title>
@@ -221,5 +221,5 @@
       <segtitle>Installed Libraries</segtitle>
       <segtitle>Installed Directories</segtitle>
-      
+
       <seglistitem>
         <seg>adsl-connect, adsl-setup, adsl-start, adsl-status, adsl-stop, pppoe, 
@@ -229,10 +229,10 @@
       </seglistitem>
     </segmentedlist>
-    
+
     <variablelist>
       <bridgehead renderas="sect3">Short Descriptions</bridgehead>
       <?dbfo list-presentation="list"?>
       <?dbhtml list-presentation="table"?>
-      
+
       <varlistentry id="adsl-connect">
         <term><command>adsl-connect</command></term>
@@ -245,5 +245,5 @@
         </listitem>
       </varlistentry>
-      
+
       <varlistentry id="adsl-setup">
         <term><command>adsl-setup</command></term>
@@ -256,5 +256,5 @@
         </listitem>
       </varlistentry>
-      
+
       <varlistentry id="adsl-start">
         <term><command>adsl-start</command></term>
@@ -267,5 +267,5 @@
         </listitem>
       </varlistentry>
-      
+
       <varlistentry id="adsl-status">
         <term><command>adsl-status</command></term>
@@ -278,5 +278,5 @@
         </listitem>
       </varlistentry>
-      
+
       <varlistentry id="adsl-stop">
         <term><command>adsl-stop</command></term>
@@ -288,5 +288,5 @@
         </listitem>
       </varlistentry>
-      
+
       <varlistentry id="pppoe-prog">
         <term><command>pppoe</command></term>
@@ -299,5 +299,5 @@
         </listitem>
       </varlistentry>
-      
+
       <varlistentry id="pppoe-relay">
         <term><command>pppoe-relay</command></term>
@@ -309,5 +309,5 @@
         </listitem>
       </varlistentry>
-      
+
       <varlistentry id="pppoe-server">
         <term><command>pppoe-server</command></term>
@@ -319,5 +319,5 @@
         </listitem>
       </varlistentry>
-      
+
       <varlistentry id="pppoe-sniff">
         <term><command>pppoe-sniff</command></term>
@@ -330,5 +330,5 @@
         </listitem>
       </varlistentry>
-    
+
     </variablelist>
 