Index: general/prog/python3.xml
===================================================================
--- general/prog/python3.xml	(revision ec6047d832ad96db1264bd2480a1cf98dbe40a92)
+++ general/prog/python3.xml	(revision 4873baa468f2550c7b69af00c8e772ce477852a2)
@@ -8,8 +8,8 @@
            "https://www.python.org/ftp/python/&python3-version;/Python-&python3-version;.tar.xz">
   <!ENTITY python3-download-ftp  " ">
-  <!ENTITY python3-md5sum        "69e73c49eeb1a853cefd26d18c9d069d">
-  <!ENTITY python3-size          "17 MB">
-  <!ENTITY python3-buildsize     "374 MB (add 27 MB for tests)">
-  <!ENTITY python3-time          "0.5 SBU (using parallelism=4; add 1.7 SBU for tests, including rebuilding)">
+  <!ENTITY python3-md5sum        "6ebfe157f6e88d9eabfbaf3fa92129f6">
+  <!ENTITY python3-size          "18 MB">
+  <!ENTITY python3-buildsize     "397 MB (add 30 MB for tests)">
+  <!ENTITY python3-time          "0.4 SBU (using parallelism=4; add 2.2 SBU for tests, including rebuilding)">
   <!--
 
@@ -138,8 +138,5 @@
     </para>
 
-<screen role="root"><userinput>make install &amp;&amp;
-<!--ln -sfv pip&python3-majorver; /usr/bin/pip3 &amp;&amp;-->
-chmod -v 755 /usr/lib/libpython&python3-majorver;.so &amp;&amp;
-chmod -v 755 /usr/lib/libpython3.so</userinput></screen>
+<screen role="root"><userinput>make install</userinput></screen>
 
     <para>
@@ -156,5 +153,4 @@
       using an X terminal. 
       The test SBU highly depends on the speed of the internet connection.
-      The test_sqlite test is known to fail.
     </para>
 
@@ -255,5 +251,4 @@
           2to3-&python3-majorver;,
 
-          easy_install (symlink) and
           easy_install-&python3-majorver;,
 
@@ -264,5 +259,5 @@
           pip&python3-majorver;,
 
-          pydoc3 (symlink) and
+          pydoc3 and
           pydoc&python3-majorver;,
 
@@ -270,10 +265,9 @@
           python&python3-majorver;, and
 
+          python3 (symlink), and
+          python&python3-majorver;
+
           python3-config (symlink) and
           python&python3-majorver;-config
-          <!--
-          pyvenv (symlink),
-          pyvenv-&python3-majorver;
-          -->
         </seg>
         <seg>
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision ec6047d832ad96db1264bd2480a1cf98dbe40a92)
+++ introduction/welcome/changelog.xml	(revision 4873baa468f2550c7b69af00c8e772ce477852a2)
@@ -46,4 +46,16 @@
       <itemizedlist>
         <listitem>
+          <para>[bdubbs] - Update to libcap-2.44. Fixes
+          <ulink url="&blfs-ticket-root;14096">#14096</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to Python-3.9.0. Fixes
+          <ulink url="&blfs-ticket-root;14098">#14098</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to mesa-20.2.1. Fixes
+          <ulink url="&blfs-ticket-root;14077">#14077</ulink>.</para>
+        </listitem>
+        <listitem>
           <para>[renodr] - Update to EOG-3.38.0. Part of
           <ulink url="&blfs-ticket-root;14032">#14032</ulink>.</para>
Index: packages.ent
===================================================================
--- packages.ent	(revision ec6047d832ad96db1264bd2480a1cf98dbe40a92)
+++ packages.ent	(revision 4873baa468f2550c7b69af00c8e772ce477852a2)
@@ -17,5 +17,5 @@
 <!ENTITY haveged-version              "1.9.13">
 <!ENTITY iptables-version             "1.8.5">
-<!ENTITY libcap-version               "2.43">
+<!ENTITY libcap-version               "2.44">
 <!ENTITY liboauth-version             "1.0.3">
 <!ENTITY linux-pam-version            "1.4.0">
@@ -355,6 +355,6 @@
 
 <!ENTITY python3-major                "3">
-<!ENTITY python3-minor                "8">
-<!ENTITY python3-patch                "6">
+<!ENTITY python3-minor                "9">
+<!ENTITY python3-patch                "0">
 <!ENTITY python3-majorver             "&python3-major;.&python3-minor;">
 <!ENTITY python3-version              "&python3-majorver;.&python3-patch;">
@@ -690,6 +690,6 @@
 <!ENTITY xcursor-themes-version       "1.0.6">
 <!ENTITY xkeyboard-config-version     "2.31">
-<!ENTITY mesa-major-minor             "20.1">
-<!ENTITY mesa-version                 "&mesa-major-minor;.8">
+<!ENTITY mesa-major-minor             "20.2">
+<!ENTITY mesa-version                 "&mesa-major-minor;.1">
 <!ENTITY xcb-util-version             "0.4.0">
 <!ENTITY xcb-util-image-version       "0.4.0">
Index: postlfs/security/libcap.xml
===================================================================
--- postlfs/security/libcap.xml	(revision ec6047d832ad96db1264bd2480a1cf98dbe40a92)
+++ postlfs/security/libcap.xml	(revision 4873baa468f2550c7b69af00c8e772ce477852a2)
@@ -7,5 +7,5 @@
   <!ENTITY libcap-download-http "&kernel-dl;/linux/libs/security/linux-privs/libcap2/libcap-&libcap-version;.tar.xz">
   <!ENTITY libcap-download-ftp  " ">
-  <!ENTITY libcap-md5sum        "28f65c74c7ea797f70d3627d0bf1b342">
+  <!ENTITY libcap-md5sum        "46ab71759e17a07efa920692ac2f714d">
   <!ENTITY libcap-size          "124 KB">
   <!ENTITY libcap-buildsize     "1.3 MB">
Index: x/installing/mesa.xml
===================================================================
--- x/installing/mesa.xml	(revision ec6047d832ad96db1264bd2480a1cf98dbe40a92)
+++ x/installing/mesa.xml	(revision 4873baa468f2550c7b69af00c8e772ce477852a2)
@@ -7,8 +7,8 @@
   <!ENTITY mesa-download-http "https://mesa.freedesktop.org/archive/mesa-&mesa-version;.tar.xz">
   <!ENTITY mesa-download-ftp  "ftp://ftp.freedesktop.org/pub/mesa/mesa-&mesa-version;.tar.xz">
-  <!ENTITY mesa-md5sum        "143ded7a408c0cfd21b9fbb7e138c842">
-  <!ENTITY mesa-size          "12 MB">
-  <!ENTITY mesa-buildsize     "440 MB (with demos and docs), add 157 MB for tests">
-  <!ENTITY mesa-time          "2.2 SBU (with parallelism=4, demos, and docs), add 0.3 SBU for tests">
+  <!ENTITY mesa-md5sum        "31603afeccc94bbb6d4dd1c65b9a3408">
+  <!ENTITY mesa-size          "13 MB">
+  <!ENTITY mesa-buildsize     "468 MB (with docs), add 302 MB for tests">
+  <!ENTITY mesa-time          "2.2 SBU (with parallelism=4 and docs), add 0.6 SBU for tests">
 ]>
 
@@ -77,5 +77,5 @@
       </listitem>
     </itemizedlist>
-
+<!--
     <bridgehead renderas="sect3">Additional Downloads</bridgehead>
     <itemizedlist spacing="compact">
@@ -85,5 +85,5 @@
           <ulink
             url="&patch-root;/mesa-add_xdemos-1.patch"/>
-            <!--url="&patch-root;/mesa-&mesa-version;-add_xdemos-1.patch"/>-->
+            <!- -url="&patch-root;/mesa-&mesa-version;-add_xdemos-1.patch"/>- ->
           (installs 2 demo programs for testing Mesa - not needed if you
           install the <ulink url="ftp://ftp.freedesktop.org/pub/mesa/demos/">
@@ -92,5 +92,5 @@
       </listitem>
     </itemizedlist>
-
+-->
     <bridgehead renderas="sect3">Mesa Dependencies</bridgehead>
 
@@ -155,5 +155,5 @@
   <sect2 role="installation">
     <title>Installation of Mesa</title>
-
+<!--
     <para>
       If you have downloaded the xdemos patch (needed if testing the Xorg
@@ -162,7 +162,7 @@
     </para>
 
-<!--<screen><userinput>patch -Np1 -i ../mesa-&mesa-version;-add_xdemos-1.patch</userinput></screen>-->
+<!- -<screen><userinput>patch -Np1 -i ../mesa-&mesa-version;-add_xdemos-1.patch</userinput></screen>- ->
 <screen><userinput>patch -Np1 -i ../mesa-add_xdemos-1.patch</userinput></screen>
-
+-->
    <!-- Note that freedreno, vc4, and virgl all need special support from
         libdrm - renodr
@@ -172,5 +172,5 @@
 
     <para>
-      Adjust a script file in test suite to use Python 3, instead of
+      Adjust a script file in test suite to use Python 3, instead of the
       obsolete Python 2:
     </para>