Index: multimedia/videoutils/mplayer/mplayer-config.xml
===================================================================
--- multimedia/videoutils/mplayer/mplayer-config.xml	(revision 0566707ba1bcc3cc28b4dfd45957e88f368e9439)
+++ multimedia/videoutils/mplayer/mplayer-config.xml	(revision 4875b9a94a407682a69523821ffd94aab89e073b)
@@ -10,8 +10,10 @@
 <para>If you wish to utilize a freetype font, you need to link a TTF
 file to your ~/.mplayer directory.  For example:
-<screen>ln -sf /usr/X11R6/lib/X11/fonts/TTF/luxisri.ttf ~/.mplayer/subfont.ttf</screen></para>
+<screen>ln -sf /usr/X11R6/lib/X11/fonts/TTF/luxisri.ttf
+~/.mplayer/subfont.ttf</screen>otherwise 
+<screen>ln -sf /usr/share/mplayer/font/iso-8859-1/arial-14 ~/.mplayer/font</screen>
+where 14 is the font size. You can chose your font size of 14, 18, 24 or 28.</para>
 
-<para>If you put in the optional gui, your config file needs to be set
-up with the following commands executed from your source directory:</para>
+<para>Set up the GUI with the following commands executed from your source directory:</para>
 
 <para><screen><userinput>cat &gt; ~/.mplayer/config &lt;&lt; "EOF"</userinput>
@@ -22,4 +24,11 @@
 tar -xvf ../default.tar -C ~/.mplayer/Skin</userinput></screen>
 </para>
+
+<para>The first line, <userinput>gui = yes</userinput>, will make
+MPlayer start in gui mode automatically. If you want to decide whether to start
+in gui mode or not, leave that line out and start mplayer with
+<userinput>-gui</userinput> or as <userinput>gmplayer</userinput> (e.g.
+when starting from a Window Manager menu or command prompt).</para>
+
 </sect3>
 
Index: multimedia/videoutils/mplayer/mplayer-desc.xml
===================================================================
--- multimedia/videoutils/mplayer/mplayer-desc.xml	(revision 0566707ba1bcc3cc28b4dfd45957e88f368e9439)
+++ multimedia/videoutils/mplayer/mplayer-desc.xml	(revision 4875b9a94a407682a69523821ffd94aab89e073b)
@@ -11,5 +11,16 @@
 <sect3><title>mplayer</title>
 <para>mplayer manages the input formats, the codecs and the output
-formats to display video files on your screen.</para></sect3>
+formats to play video files, DVDs, (S)VCDs or network streams containing
+audio and/or video informations on your system.</para>
+<para><userinput>Examples:</userinput></para>
+<para><screen><userinput>mplayer -fs blfs.avi
+mplayer -vo fbdev -fb /dev/fb0 -dvd 1 -aid 128 -sub en -framedrop
+mplayer -fs -vcd 1; # works both for VCDs and SVCDs
+mplayer http://www.students.uni-marburg.de/~Klossa/hapkidofight_lo.mpg
+</userinput></screen></para>
+<para>For further information, have a look at the very good
+documentation
+included in the package in the subdirectory <filename>DOCS/</filename>.
+</para></sect3>
 
 <sect3><title>gmplayer</title>
@@ -19,5 +30,23 @@
 <para>mencoder is used to encode any MPlayer-playable movie to DivX4,
 XviD or any codec in libavcodec with PCM/MP3/VBRMP3
-audio.</para></sect3>
+audio.</para>
+
+<para><userinput>Example:</userinput></para>
+<para><screen><userinput>rm frameno.avi
+mencoder -dvd 1 -aid 128 -ovc frameno -oac mp3lame \
+-lameopts vbr=3 -o frameno.avi
+
+# mencoder should output bitrates for average encodings
+# now, choose one you like best! In the following lines,
+# replace &lt;bitrate&gt; and &lt;name.avi&gt; with statements of your
+# personal liking.
+
+mencoder -dvd 1 -aid 128 -oac copy -ovc lavc \
+-lavcopts vcodec=mpeg4:vpass=1:vhq:vbitrate=&lt;bitrate&gt; -o &lt;name.avi&gt;
+mencoder -dvd 1 -aid 128 -oac copy -ovc lavc \
+-lavcopts vcodec=mpeg4:vpass=2:vhq:vbitrate=&lt;bitrate&gt; -o &lt;name.avi&gt;
+mencoder -forceidx &lt;name.avi&gt;</userinput></screen></para>
+
+</sect3>
 
 </sect2>
Index: multimedia/videoutils/mplayer/mplayer-exp.xml
===================================================================
--- multimedia/videoutils/mplayer/mplayer-exp.xml	(revision 0566707ba1bcc3cc28b4dfd45957e88f368e9439)
+++ multimedia/videoutils/mplayer/mplayer-exp.xml	(revision 4875b9a94a407682a69523821ffd94aab89e073b)
@@ -6,12 +6,16 @@
 the majority of installs will need it.</para>
 
-<para><userinput>--enable-freetype</userinput> : This command can be
-added to the ./configure command to utilize freetype fonts instead of
-the fonts provided by mplayer.</para>
+<para><userinput>--enable-freetype</userinput> : This switch tells
+MPlayer to utilize freetype fonts instead of the fonts provided by mplayer.</para>
 
-<para><userinput>--enable-gui</userinput> : This command needs to be
-added to the ./configure command to compile the gui interface code. The
-package maintainers consider this code 'alpha', therefore it is not
-included in our default configuration.</para>
+<para><userinput>--enable-gui</userinput> : This switch tells MPlayer to compile the gui interface code.</para>
+
+<para><userinput>--enable-menu --enable-new-conf</userinput> :  These
+switches enable the new menu support.  It's like an OSD, but youi can
+also run a shell with it.</para>
+
+<para><userinput>--enable-shared-pp</userinput>  : This enables the
+building of a shared libpostproc (library for post processing, featuring
+filters like sharpen.</para>
 
 <para><userinput>cp etc/codecs.conf ~/.mplayer</userinput> : This
@@ -25,9 +29,4 @@
 situation.</para>
 
-<para><userinput>ln -sf /usr/share/mplayer/font/iso-8859-1/arial-14
-~/.mplayer/font</userinput> : This command sets the default subtitle
-font if you did not enable freetype.  All of the fonts are arial, but
-they are available in sizes 14, 18, 24 and 28.  Replace the 14 in the
-command above with the size of your choice.</para>
 
 </sect2>
Index: multimedia/videoutils/mplayer/mplayer-inst.xml
===================================================================
--- multimedia/videoutils/mplayer/mplayer-inst.xml	(revision 0566707ba1bcc3cc28b4dfd45957e88f368e9439)
+++ multimedia/videoutils/mplayer/mplayer-inst.xml	(revision 4875b9a94a407682a69523821ffd94aab89e073b)
@@ -3,6 +3,5 @@
 
 <para>The extra downloads should be located in you source directory with
-the bzip files decompressed while the zip file should remain
-compressed.</para>
+the bzip files decompressed.</para>
 
 <para>Install MPlayer by running the following commands:</para>
@@ -10,9 +9,16 @@
 <para><screen><userinput>install -d /usr/lib/win32 &amp;&amp;
 tar -xvf ../w32codec.tar -C /usr/lib/win32 &amp;&amp;
+tar -xvf ../qt5dlls.tar -C /usr/lib/win32 &amp;&amp;
+tar -xvf ../qt6dlls.tar -C /usr/lib/win32 &amp;&amp;
+tar -xvf ../qtextras.tar -C /usr/lib/win32 &amp;&amp;
+tar -xvf ../rp9codecs.tar -C /usr/lib/win32 &amp;&amp;
 unset CFLAGS &amp;&amp;
-./configure --prefix=/usr --confdir=/etc/mplayer &amp;&amp;
+./configure --prefix=/usr --confdir=/etc/mplayer --enable-largefiles \
+--enable-gui --enable-menu --enable-new-conf --enable-qtx-codecs \
+--enable-vorbis --with-reallibdir=/usr/lib/win32/re9codecs \
+--enable-freetype --enable-shared-pp &amp;&amp;
 make &amp;&amp;
 make install &amp;&amp;
-unzip ../mp-arial-iso-8859-1.zip -d /usr/share/mplayer/font</userinput></screen></para>
+</userinput></screen></para>
 
 <para> Each user of MPlayer should complete the install by running the
@@ -21,7 +27,42 @@
 mkdir ~/.mplayer &amp;&amp;
 cp etc/codecs.conf ~/.mplayer &amp;&amp;
-cp etc/example.conf ~/.mplayer/example.conf &amp;&amp;
-ln -sf /usr/share/mplayer/font/iso-8859-1/arial-14 ~/.mplayer/font
+cp etc/example.conf ~/.mplayer/example.conf
 </userinput></screen></para>
+
+<sect3>
+<title>Installing the prerendered Fonts</title>
+
+<para>If freetype is in use, the only advantage of prerendered fonts is
+that they are faster. Install them like this:</para>
+
+<para><screen><userinput>install -d /usr/share/mplayer/font &amp;&amp;
+tar -xvf ../font-arial-iso-8859-1.tar -C /usr/share/mplayer/font &amp;&amp;
+for i in /usr/share/mplayer/font/font-arial-&lt;size&gt;*
+do ln -s $i /usr/share/mplayer/font; done</userinput></screen></para>
+
+<para>Replace <userinput>&lt;size&gt;</userinput> with either 14, 18, 24
+or 28.</para>
+
+</sect3>
+
+<sect3>
+<title>Installation for DVD playback</title>
+<para>If you want DVD playback with MPlayer, you need to make a link
+from your DVD drive to <filename>/dev/dvd</filename>:</para>
+<para><screen><userinput>ln -s /dev/&lt;dvd drive&gt; /dev/dvd
+</userinput></screen></para>
+<para>replace <userinput>&lt;dvd drive&gt;</userinput> with whatever
+device is appropriate, for example <filename>/dev/hdc</filename>. if
+you don't know which device to choose, type:</para>
+<para><screen><userinput>dmesg | grep DVD</userinput></screen></para>
+<para>It should result in an output like:</para>
+<para><screen><userinput>hdc: Pioneer DVD-ROM ATAPIModel DVD-114 0110,
+ATAPI CD/DVD-ROM drive</userinput></screen></para>
+<para>If you have SCSI-Emulation activated for the drives, you'll need
+to get the right SCSI-device. Every CD/DVD-ROM drive is mapped in the
+same order as in IDE to the devices named
+<filename>/dev/scd0</filename>,
+<filename>/dev/scd1</filename> and so on.</para>
+</sect3>
 
 </sect2>
Index: multimedia/videoutils/mplayer/mplayer-intro.xml
===================================================================
--- multimedia/videoutils/mplayer/mplayer-intro.xml	(revision 0566707ba1bcc3cc28b4dfd45957e88f368e9439)
+++ multimedia/videoutils/mplayer/mplayer-intro.xml	(revision 4875b9a94a407682a69523821ffd94aab89e073b)
@@ -9,18 +9,23 @@
 
 <screen>Additional downloads:
-<ulink url="http://ftp.lug.udel.edu/MPlayer/releases/w32codec.tar.bz2"/>
-<ulink url="http://ftp.lug.udel.edu/MPlayer/releases/fonts/mp-arial-iso-8859-1.zip"/>
-<ulink url="http://ftp.lug.udel.edu/MPlayer/Skin/default.tar.bz2"/></screen>
+<ulink url="http://ftp.lug.udel.edu/MPlayer/releases/w32codec.tar.bz2">Win32 codecs</ulink>
+<ulink url="http://ftp.lug.udel.edu/MPlayer/releases/fonts/mp-arial-iso-8859-1.tar.bz2">Fonts for OSD</ulink>
+<ulink url="http://ftp.lug.udel.edu/MPlayer/Skin/default.tar.bz2">Default Skin</ulink>
+<ulink url="http://ftp.lug.udel.edu/MPlayer/releases/codecs/qt5dlls.tar.bz2">QuickTime 5 codecs</ulink>
+<ulink url="http://ftp.lug.udel.edu/MPlayer/releases/codecs/qt6dlls.tar.bz2">QuickTime 6 codecs</ulink>
+<ulink url="http://ftp.lug.udel.edu/MPlayer/releases/codecs/qtextras.tar.bz2">QuickTime extra codecs</ulink>
+<ulink url="http://ftp.lug.udel.edu/MPlayer/releases/codecs/rp9codecs.tar.bz2">RealPlayer 9 codecs</ulink>
+</screen>
 
-<para>The MPlayer package contains a command line video player. This is
-useful for viewing almost all types of video files.</para>
+<para>The MPlayer package contains an audio/video player that is able to
+play almost every audio and video codec and can be controlled by command
+line or GUI.</para>
 
 <screen>MPlayer depends on:
-<xref linkend="xfree86"/> and <xref linkend="unzip"/>
+<xref linkend="xfree86"/> or DirectFB
 MPlayer will utilize:
-<xref linkend="GTK"/>, <xref linkend="freetype2"/>, <xref
-linkend="libpng"/>, <xref linkend="libjpeg"/>, <xref
-linkend="libungif"/>, <xref linkend="aalib"/>, <xref linkend="SDL"/>,
-<xref linkend="ffmpeg"/>, <xref linkend="xvid"/>, <xref linkend="opendivx"/>, oss, <xref linkend="arts"/>, <xref linkend="alsa"/> and <xref linkend="libogg"/></screen>
+<xref linkend="GTK"/>, <xref linkend="freetype2"/>, <xref linkend="libpng"/>, <xref linkend="libjpeg"/>, <xref linkend="libungif"/>, <xref linkend="aalib"/>, <xref linkend="SDL"/>, 
+<xref linkend="ffmpeg"/>, <xref linkend="xvid"/>, <xref linkend="opendivx"/>, oss, <xref linkend="arts"/>, <xref linkend="alsa"/>, LZO, libdvdnav, 
+MAD, <xref linkend="CDParanoia"/>  and <xref linkend="libogg"/></screen>
 
 </sect2>
Index: multimedia/videoutils/mplayer/mplayer.ent
===================================================================
--- multimedia/videoutils/mplayer/mplayer.ent	(revision 0566707ba1bcc3cc28b4dfd45957e88f368e9439)
+++ multimedia/videoutils/mplayer/mplayer.ent	(revision 4875b9a94a407682a69523821ffd94aab89e073b)
@@ -5,7 +5,7 @@
 <!ENTITY mplayer-desc SYSTEM "mplayer-desc.xml">
 <!ENTITY mplayer-config SYSTEM "mplayer-config.xml">
-<!ENTITY mplayer-buildsize "38.7 MB">
-<!ENTITY mplayer-version "0.90rc1">
-<!ENTITY mplayer-download-http "http://ftp.lug.udel.edu/MPlayer/releases/MPlayer-0.90rc1.tar.bz2">
-<!ENTITY mplayer-download-ftp "ftp://ftp.lug.udel.edu/MPlayer/releases/MPlayer-0.90rc1.tar.bz2">
-<!ENTITY mplayer-size "3 MB">
+<!ENTITY mplayer-buildsize "40.3 MB">
+<!ENTITY mplayer-version "0.90rc2">
+<!ENTITY mplayer-download-http "http://ftp.lug.udel.edu/MPlayer/releases/MPlayer-0.90rc2.tar.bz2">
+<!ENTITY mplayer-download-ftp "ftp://ftp.lug.udel.edu/MPlayer/releases/MPlayer-0.90rc2.tar.bz2">
+<!ENTITY mplayer-size "3.1 MB">