Index: general.ent
===================================================================
--- general.ent	(revision 876cd11a848d0fda0c9f77228e702cdde950f265)
+++ general.ent	(revision 4938dadc1fa94131f3b4993f893cb93459236612)
@@ -1,5 +1,5 @@
 <!-- $LastChangedBy$ $Date$ -->
 
-<!ENTITY day          "15">                   <!-- Always 2 digits -->
+<!ENTITY day          "16">                   <!-- Always 2 digits -->
 <!ENTITY month        "12">                   <!-- Always 2 digits -->
 <!ENTITY year         "2013">
@@ -7,5 +7,5 @@
 <!ENTITY copyholder   "The BLFS Development Team">
 <!ENTITY version      "&year;-&month;-&day;">
-<!ENTITY releasedate  "December 15th, &year;">
+<!ENTITY releasedate  "December 16th, &year;">
 <!ENTITY pubdate      "&year;-&month;-&day;"> <!-- metadata req. by TLDP -->
 <!ENTITY blfs-version "svn">                  <!-- svn|[release #] -->
@@ -188,5 +188,5 @@
 <!ENTITY dash-version                 "0.5.7">
 <!ENTITY tcsh-version                 "6.18.01">
-<!ENTITY zsh-version                  "5.0.2">
+<!ENTITY zsh-version                  "5.0.3">
 
 <!-- Chapter 8 Virtualization -->
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 876cd11a848d0fda0c9f77228e702cdde950f265)
+++ introduction/welcome/changelog.xml	(revision 4938dadc1fa94131f3b4993f893cb93459236612)
@@ -45,4 +45,14 @@
 -->
     <listitem>
+      <para>December 16th, 2013</para>
+      <itemizedlist>
+        <listitem>
+          <para>[igor] - Update to zsh-5.0.3. Fixes
+          <ulink url="&blfs-ticket-root;4453">#4453</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>December 15th, 2013</para>
       <itemizedlist>
Index: postlfs/shells/zsh.xml
===================================================================
--- postlfs/shells/zsh.xml	(revision 876cd11a848d0fda0c9f77228e702cdde950f265)
+++ postlfs/shells/zsh.xml	(revision 4938dadc1fa94131f3b4993f893cb93459236612)
@@ -5,12 +5,12 @@
   %general-entities;
 
-  <!ENTITY zsh-download-http "&sourceforge-repo;/zsh/zsh-&zsh-version;.tar.bz2">
+  <!ENTITY zsh-download-http "http://www.zsh.org/pub/zsh-&zsh-version;.tar.bz2">
   <!ENTITY zsh-download-ftp  " ">
-  <!ENTITY zsh-md5sum        "b8f2ad691acf58b3252225746480dcad">
-  <!ENTITY zsh-size          "2.9 MB">
-  <!ENTITY zsh-buildsize     "65 MB (includes installing documentation)">
-  <!ENTITY zsh-time          "1.1 SBU">
-
-  <!ENTITY zsh-doc-md5sum    "b6818cbbea635b2f70883bb913d0a04a">
+  <!ENTITY zsh-md5sum        "aeba7cffed625aa5e212d33285243e11">
+  <!ENTITY zsh-size          "3.0 MB">
+  <!ENTITY zsh-buildsize     "63 MB (includes installing documentation)">
+  <!ENTITY zsh-time          "2.0 SBU">
+
+  <!ENTITY zsh-doc-md5sum    "01096a74fb641d2c6a00de0cfe2cd3ec">
 ]>
 
@@ -65,10 +65,6 @@
     <itemizedlist spacing="compact">
       <listitem>
-         <para>Required patch: <ulink 
-         url="&patch-root;/zsh-&zsh-version;-makeinfo-1.patch"/></para>
-      </listitem>
-      <listitem>
         <para>Optional Documentation: <ulink
-        url="&sourceforge-repo;/zsh/zsh-&zsh-version;-doc.tar.bz2"/></para>
+        url="http://www.zsh.org/pub/zsh-&zsh-version;-doc.tar.bz2"/></para>
       </listitem>
       <listitem>
@@ -101,7 +97,5 @@
     commands:</para>
 
-<screen><userinput>patch -Np1 -i ../zsh-&zsh-version;-makeinfo-1.patch &amp;&amp;
-
-./configure --prefix=/usr         \
+<screen><userinput>./configure --prefix=/usr         \
             --bindir=/bin         \
             --sysconfdir=/etc/zsh \
@@ -163,11 +157,11 @@
     <command>zsh</command> binaries into the root filesystem.</para>
 
-    <para><parameter>--enable-cap</parameter>: This parameter enables
+    <para><option>--enable-cap</option>: This option enables
     POSIX capabilities.</para>
 
-    <para><parameter>--disable-gdbm</parameter>: This parameter disables the
+    <para><option>--disable-gdbm</option>: This option disables the
     use of the <application>GDBM</application> library.</para>
 
-    <para><parameter>--enable-pcre</parameter>: This parameter allows to use
+    <para><option>--enable-pcre</option>: This option allows to use
     the <application>pcre</application> regular expression library in shell
     builtins.</para>