Index: general/graphlib/jasper.xml
===================================================================
--- general/graphlib/jasper.xml	(revision 74591e7051d335bd271d9bd710a7aa217a66e66e)
+++ general/graphlib/jasper.xml	(revision 4956ae37530de8c6d7098f64389983bdf3363e5b)
@@ -7,7 +7,7 @@
   <!ENTITY jasper-download-http "https://github.com/jasper-software/jasper/archive/version-&jasper-version;/jasper-&jasper-version;.tar.gz">
   <!ENTITY jasper-download-ftp  " ">
-  <!ENTITY jasper-md5sum        "ce2214c2e379cfe639e53e71575f68ee">
+  <!ENTITY jasper-md5sum        "10e7ae9a697117ac5c54268772f3fa44">
   <!ENTITY jasper-size          "1.9 MB">
-  <!ENTITY jasper-buildsize     "9.5 MB (with tests)">
+  <!ENTITY jasper-buildsize     "12 MB (with tests)">
   <!ENTITY jasper-time          "0.3 SBU (with tests)">
 ]>
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 74591e7051d335bd271d9bd710a7aa217a66e66e)
+++ introduction/welcome/changelog.xml	(revision 4956ae37530de8c6d7098f64389983bdf3363e5b)
@@ -46,4 +46,20 @@
       <itemizedlist>
         <listitem>
+          <para>[renodr] - Update to jasper-3.0.4. Fixes
+          <ulink url="&blfs-ticket-root;16634">#16634</ulink>.</para>
+       </listitem>
+       <listitem>
+          <para>[renodr] - Update to pidgin-2.14.10. Fixes
+          <ulink url="&blfs-ticket-root;16633">#16633</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Update to libdrm-2.4.111. Fixes
+          <ulink url="&blfs-ticket-root;16632">#16632</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Update to ntfs-3g-2022.5.17 (Security Update). Fixes
+          <ulink url="&blfs-ticket-root;16630">#16630</ulink>.</para>
+        </listitem>
+        <listitem>
           <para>[bdubbs] - Update to xfsprogs-5.18.0. Fixes
           <ulink url="&blfs-ticket-root;16631">#16631</ulink>.</para>
Index: packages.ent
===================================================================
--- packages.ent	(revision 74591e7051d335bd271d9bd710a7aa217a66e66e)
+++ packages.ent	(revision 4956ae37530de8c6d7098f64389983bdf3363e5b)
@@ -53,5 +53,5 @@
 <!ENTITY lvm2-version                 "2.03.16">
 <!ENTITY mdadm-version                "4.2">
-<!ENTITY ntfs-3g-version              "2021.8.22">
+<!ENTITY ntfs-3g-version              "2022.5.17">
 <!ENTITY gptfdisk-version             "1.0.9">
 <!ENTITY parted-version               "3.5">
@@ -140,5 +140,5 @@
 <!--<!ENTITY libcroco-version             "0.6.13">-->
 <!ENTITY libdaemon-version            "0.14">
-<!ENTITY libdrm-version               "2.4.110">
+<!ENTITY libdrm-version               "2.4.111">
 <!ENTITY libepoxy-minor               "1.5">
 <!ENTITY libepoxy-version             "&libepoxy-minor;.10">
@@ -225,5 +225,5 @@
 <!ENTITY harfbuzz-version             "4.3.0">
 <!--<!ENTITY ijs-version                  "0.35">-->
-<!ENTITY jasper-version               "3.0.3">
+<!ENTITY jasper-version               "3.0.4">
 <!ENTITY lcms-version                 "1.19">
 <!ENTITY lcms2-version                "2.13.1">
@@ -983,5 +983,5 @@
 <!ENTITY pan-version                  "0.133">
 <!ENTITY pavucontrol-version          "5.0">
-<!ENTITY pidgin-version               "2.14.9">
+<!ENTITY pidgin-version               "2.14.10">
 <!ENTITY rox-filer-version            "2.11">
 <!ENTITY rxvt-unicode-version         "9.30">
Index: postlfs/filesystems/ntfs-3g.xml
===================================================================
--- postlfs/filesystems/ntfs-3g.xml	(revision 74591e7051d335bd271d9bd710a7aa217a66e66e)
+++ postlfs/filesystems/ntfs-3g.xml	(revision 4956ae37530de8c6d7098f64389983bdf3363e5b)
@@ -8,5 +8,5 @@
            "https://tuxera.com/opensource/ntfs-3g_ntfsprogs-&ntfs-3g-version;.tgz">
   <!ENTITY ntfs-3g-download-ftp  " ">
-  <!ENTITY ntfs-3g-md5sum        "90da343e78877d388eb34cefae6799ae">
+  <!ENTITY ntfs-3g-md5sum        "18a97a9a9e08f02f46fe447f611f16cb">
   <!ENTITY ntfs-3g-size          "1.3 MB">
   <!ENTITY ntfs-3g-buildsize     "22 MB">
Index: x/lib/libdrm.xml
===================================================================
--- x/lib/libdrm.xml	(revision 74591e7051d335bd271d9bd710a7aa217a66e66e)
+++ x/lib/libdrm.xml	(revision 4956ae37530de8c6d7098f64389983bdf3363e5b)
@@ -7,6 +7,6 @@
   <!ENTITY libdrm-download-http "https://dri.freedesktop.org/libdrm/libdrm-&libdrm-version;.tar.xz">
   <!ENTITY libdrm-download-ftp  " ">
-  <!ENTITY libdrm-md5sum        "ef6449de30a41ecdf69dc7ae78e676a9">
-  <!ENTITY libdrm-size          "428 KB">
+  <!ENTITY libdrm-md5sum        "6fc1c5b01d8568d10c7d4d84ddd8efa3">
+  <!ENTITY libdrm-size          "440 KB">
   <!ENTITY libdrm-buildsize     "12 MB (with tests)">
   <!ENTITY libdrm-time          "0.2 SBU (with tests)">
@@ -176,8 +176,9 @@
         <seg>
           libdrm_amdgpu.so, libdrm_intel.so, libdrm_nouveau.so,
-          libdrm_radeon.so, libdrm.so, and libkms.so
+          libdrm_radeon.so, and libdrm.so<!--, and libkms.so-->
         </seg>
         <seg>
-          /usr/include/libdrm, /usr/include/libkms, and /usr/share/libdrm
+           /usr/include/libdrm <!--,/usr/include/libkms,--> 
+           and /usr/share/libdrm
         </seg>
       </seglistitem>
@@ -252,4 +253,5 @@
       </varlistentry>
 
+      <!-- Removed in 2.4.111
       <varlistentry id="libkms">
         <term><filename class="libraryfile">libkms.so</filename></term>
@@ -263,4 +265,5 @@
         </listitem>
       </varlistentry>
+      -->
 
     </variablelist>
Index: xsoft/other/pidgin.xml
===================================================================
--- xsoft/other/pidgin.xml	(revision 74591e7051d335bd271d9bd710a7aa217a66e66e)
+++ xsoft/other/pidgin.xml	(revision 4956ae37530de8c6d7098f64389983bdf3363e5b)
@@ -7,5 +7,5 @@
   <!ENTITY pidgin-download-http "&sourceforge-dl;/pidgin/pidgin-&pidgin-version;.tar.bz2">
   <!ENTITY pidgin-download-ftp  " ">
-  <!ENTITY pidgin-md5sum        "528424e8eff8705f7e417ab150c535a0">
+  <!ENTITY pidgin-md5sum        "0aca7ac9818415761acddf69e890c131">
   <!ENTITY pidgin-size          "7.9 MB">
   <!ENTITY pidgin-buildsize     "294 MB (with tests and docs)">