Index: general.ent
===================================================================
--- general.ent	(revision d58d0fde9e3b87db32e5ed916fb9d31a62c4b0b9)
+++ general.ent	(revision 5010fddcb0679f8ac2642a3b0546d62299536690)
@@ -523,4 +523,5 @@
 <!ENTITY libsexy-version              "0.1.11">
 <!ENTITY libnotify-version            "0.4.5">
+<!ENTITY notification-daemon-version  "0.4.0">
 
 <!-- Chapter 27 -->
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision d58d0fde9e3b87db32e5ed916fb9d31a62c4b0b9)
+++ introduction/welcome/changelog.xml	(revision 5010fddcb0679f8ac2642a3b0546d62299536690)
@@ -46,4 +46,7 @@
       <itemizedlist>
         <listitem>
+          <para>[wblaszcz] - Added new package, notification-daemon-0.4.0.</para>
+        </listitem>
+        <listitem>
           <para>[wblaszcz] - Added new package, libsexy-0.1.11.</para>
         </listitem>
Index: x/lib/lib.xml
===================================================================
--- x/lib/lib.xml	(revision d58d0fde9e3b87db32e5ed916fb9d31a62c4b0b9)
+++ x/lib/lib.xml	(revision 5010fddcb0679f8ac2642a3b0546d62299536690)
@@ -48,4 +48,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="libsexy.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="libnotify.xml"/>
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="notification-daemon.xml"/>
 
 </chapter>
Index: x/lib/notification-daemon.xml
===================================================================
--- x/lib/notification-daemon.xml	(revision 5010fddcb0679f8ac2642a3b0546d62299536690)
+++ x/lib/notification-daemon.xml	(revision 5010fddcb0679f8ac2642a3b0546d62299536690)
@@ -0,0 +1,154 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
+   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../../general.ent">
+  %general-entities;
+
+  <!ENTITY notification-daemon-download-http "http://www.galago-project.org/files/releases/source/notification-daemon/notification-daemon-&notification-daemon-version;.tar.bz2">
+  <!ENTITY notification-daemon-download-ftp  " ">
+  <!ENTITY notification-daemon-md5sum        "e61eff9782551d81045bb53e8a801d58">
+  <!ENTITY notification-daemon-size          "318 KB">
+  <!ENTITY notification-daemon-buildsize     "4 MB">
+  <!ENTITY notification-daemon-time          "0.1 SBU">
+]>
+
+<sect1 id="notification-daemon" xreflabel="notification-daemon-&notification-daemon-version;">
+  <?dbhtml filename="notification-daemon.html"?>
+
+  <sect1info>
+    <othername>$LastChangedBy$</othername>
+    <date>$Date$</date>
+  </sect1info>
+
+  <title>notification-daemon-&notification-daemon-version;</title>
+
+  <indexterm zone="notification-daemon">
+    <primary sortas="a-notification-daemon">notification-daemon</primary>
+  </indexterm>
+
+  <sect2 role="package">
+    <title>Introduction to notification-daemon</title>
+
+    <para>The <application>notification-daemon</application> package is a daemon
+    that displays passive pop-up notifications.</para>
+
+    <bridgehead renderas="sect3">Package Information</bridgehead>
+    <itemizedlist spacing="compact">
+      <listitem>
+        <para>Download (HTTP): <ulink url="&notification-daemon-download-http;"/></para>
+      </listitem>
+      <listitem>
+        <para>Download (FTP): <ulink url="&notification-daemon-download-ftp;"/></para>
+      </listitem>
+      <listitem>
+        <para>Download MD5 sum: &notification-daemon-md5sum;</para>
+      </listitem>
+      <listitem>
+        <para>Download size: &notification-daemon-size;</para>
+      </listitem>
+      <listitem>
+        <para>Estimated disk space required: &notification-daemon-buildsize;</para>
+      </listitem>
+      <listitem>
+        <para>Estimated build time: &notification-daemon-time;</para>
+      </listitem>
+    </itemizedlist>
+
+    <bridgehead renderas="sect3">notification-daemon Dependencies</bridgehead>
+
+    <bridgehead renderas="sect4">Required</bridgehead>
+    <para role="required"><xref linkend="GConf"/>,
+    <xref linkend="libglade"/>,
+    <xref linkend="libnotify"/>,
+    <xref linkend="libsexy"/>, and
+    <xref linkend="libwnck"/></para>
+
+    <bridgehead renderas="sect4">Optional</bridgehead>
+    <para role="optional"><xref linkend="gstreamer"/></para>
+
+    <para condition="html" role="usernotes">User Notes:
+    <ulink url="&blfs-wiki;/notification-daemon"/></para>
+
+  </sect2>
+
+  <sect2 role="installation">
+    <title>Installation of notification-daemon</title>
+
+    <para>Install <application>notification-daemon</application> by running the following
+    commands:</para>
+
+<screen><userinput>./configure --prefix=/usr \
+            --libexecdir=/usr/lib/notification-daemon-1.0 \
+            --with-gconf-schema-file-dir=&gnome-etc-dir;/gconf/schemas &amp;&amp;
+make</userinput></screen>
+
+    <para>This package does not come with a test suite.</para>
+
+    <para>Now, as the <systemitem class="username">root</systemitem> user:</para>
+
+<screen role="root"><userinput>make install</userinput></screen>
+
+  </sect2>
+
+  <sect2 role="commands">
+    <title>Command Explanations</title>
+
+    <para><parameter>--libexecdir=/usr/lib/notification-daemon-1.0</parameter>: This
+    parameter is used so that the <application>notification-daemon</application>
+    internal support programs are installed in the preferred location of
+    <filename class='directory'>/usr/lib/notification-daemon-1.0</filename> instead
+    of <filename class='directory'>/usr/libexec</filename>.</para> 
+
+    <para><parameter>--with-gconf-schema-file-dir=&gnome-etc-dir;/gconf/schemas</parameter>:
+    This parameter is used so that the <application>GConf</application> schema
+    files are installed into the existing database.</para>
+
+  </sect2>
+
+  <sect2 role="content">
+    <title>Contents</title>
+
+    <segmentedlist>
+      <segtitle>Installed Programs</segtitle>
+      <segtitle>Installed Library</segtitle>
+      <segtitle>Installed Directories</segtitle>
+
+      <seglistitem>
+        <seg>notification-properties and notification-daemon</seg>
+        <seg>libstandard.{so,a}</seg>
+        <seg>/usr/{lib/notification-daemon-1.0/engines,
+        share/notification-daemon}</seg>
+      </seglistitem>
+    </segmentedlist>
+
+    <variablelist>
+      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
+      <?dbfo list-presentation="list"?>
+      <?dbhtml list-presentation="table"?>
+
+      <varlistentry id="notification-properties">
+        <term><command>notification-properties</command></term>
+        <listitem>
+          <para>is a <application>notification-daemon</application> properties
+          tool.</para>
+          <indexterm zone="notification-daemon notification-properties">
+            <primary sortas="b-notification-properties">notification-properties</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry id="notification-daemon-prog">
+        <term><command>notification-daemon</command></term>
+        <listitem>
+          <para>is the daemon itself.</para>
+          <indexterm zone="notification-daemon notification-daemon-prog">
+            <primary sortas="b-notification-daemon">notification-daemon</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+
+    </variablelist>
+
+  </sect2>
+
+</sect1>