Index: kde/add/ark.xml
===================================================================
--- kde/add/ark.xml	(revision 428191d6da5b9e037e921b7c7672abbaff1b0b41)
+++ kde/add/ark.xml	(revision 5036aa294dd1f3dc20a713b1bb749f7c2f61ac60)
@@ -7,5 +7,5 @@
   <!ENTITY ark-download-http "&kde-download-http;applications/&kde-apps-version;/src/ark-&kde-apps-version;.tar.xz">
   <!ENTITY ark-download-ftp  " ">
-  <!ENTITY ark-md5sum        "e85efcaa6571903a12f1f84f9ce7d68a">
+  <!ENTITY ark-md5sum        "e262d982aa4ce30da47a416d76c0c96e">
   <!ENTITY ark-size          "236 KB">
   <!ENTITY ark-buildsize     "10.5 MB">
Index: kde/add/kdepim-runtime.xml
===================================================================
--- kde/add/kdepim-runtime.xml	(revision 428191d6da5b9e037e921b7c7672abbaff1b0b41)
+++ kde/add/kdepim-runtime.xml	(revision 5036aa294dd1f3dc20a713b1bb749f7c2f61ac60)
@@ -7,8 +7,8 @@
   <!ENTITY kdepim-runtime-download-http "&kde-download-http;applications/&kde-apps-version;/src/kdepim-runtime-&kdepim-version;.tar.xz">
   <!ENTITY kdepim-runtime-download-ftp  " ">
-  <!ENTITY kdepim-runtime-md5sum        "2a54bae95f92f74ea2eba7f16f4035c8">
+  <!ENTITY kdepim-runtime-md5sum        "7dd2063acf9b6920920d0118f5576db6">
   <!ENTITY kdepim-runtime-size          "1.1 MB">
-  <!ENTITY kdepim-runtime-buildsize     "138 MB">
-  <!ENTITY kdepim-runtime-time          "6.6 SBU">
+  <!ENTITY kdepim-runtime-buildsize     "126 MB">
+  <!ENTITY kdepim-runtime-time          "7.4 SBU">
 ]>
 
@@ -106,11 +106,10 @@
 
       <seglistitem>
-        <seg>accountwizard, akonadi2xml, akonadi_nepomuk_feeder,
-        akonadi_*_agent, akonadi_*_resource, akonaditray,
-        kaddressbookmigrator, kjotsmigrator, kmail-migrator, kres-migrator and
-        nepomukpimindexerutility</seg>
-        <seg>libakonadi-filestore.so, libakonadi-xml.so, libkdepim-copy.so,
-        libkmindexreader.so, libmaildir.so, libnepomukfeederpluginlib.a and
-        several in &kde-dir;/lib/kde4</seg>
+        <seg>accountwizard, akonadi_nepomuk_feeder, akonadi_*_agent, 
+        akonadi_*_resource, akonaditray, gidmigrator, 
+        kaddressbookmigrator, kjotsmigrator, kmail-migrator, 
+        knotes-migrator, and kres-migrator</seg>
+        <seg>libakonadi-xml.so, libkdepim-copy.so, libkmindexreader.so, 
+        libmaildir.so, and several in &kde-dir;/lib/kde4</seg>
         <seg>several in &kde-dir;/share</seg>
       </seglistitem>
Index: kde/add/kdepim.xml
===================================================================
--- kde/add/kdepim.xml	(revision 428191d6da5b9e037e921b7c7672abbaff1b0b41)
+++ kde/add/kdepim.xml	(revision 5036aa294dd1f3dc20a713b1bb749f7c2f61ac60)
@@ -7,8 +7,8 @@
   <!ENTITY kdepim-download-http "&kde-download-http;applications/&kde-apps-version;/src/kdepim-&kdepim-version;.tar.xz">
   <!ENTITY kdepim-download-ftp  " ">
-  <!ENTITY kdepim-md5sum        "758d09605020108a21867da94bdc1145">
+  <!ENTITY kdepim-md5sum        "a09c9bd838cd71c16e9993e57653a7ad">
   <!ENTITY kdepim-size          "13.9 MB">
-  <!ENTITY kdepim-buildsize     "528 MB">
-  <!ENTITY kdepim-time          "25 SBU">
+  <!ENTITY kdepim-buildsize     "493 MB">
+  <!ENTITY kdepim-time          "28 SBU">
 ]>
 
@@ -117,13 +117,16 @@
 
       <seglistitem>
-        <seg>akonadi_archivemail_agent, akonadi_mailfilter_agent,
+        <seg>akonadi_archivemail_agent, akonadi_followupreminder_agent, 
+        akonadi_mailfilter_agent, akonadi_notes_agent, akonadi_sendlater_agent,
         akonadiconsole, akregator, akregatorstorageexporter,
-        blogilo, ical2vcal, importwizard, kabc2mutt, kabcclient,
-        kaddressbook, kaddressbook-mobile, kalarm, kalarmautostart, karm,
-        kgpgconf, kincidenceeditor, kleopatra, kmail, kmail-mobile,
+        calendarjanitor, contactthemeeditor, headerthemeeditor,
+        ical2vcal, importwizard, kabc2mutt, kabcclient, kaddressbook, 
+        kaddressbook-mobile, kalarm, kalarmautostart, karm,
+        kgpgconf, kincidenceeditor, kjotes, kleopatra, kmail, kmail-mobile,
         kmail_antivir.sh, kmail_clamav.sh, kmail_fprot.sh, kmail_sav.sh,
         kmailcvt, knode, knotes, konsolekalendar, kontact, korgac, korganizer,
-        korganizer-mobile, ksendemail, ktimetracker, ktnef, kwatchgnupg,
-        notes-mobile, pimsettingexporter and tasks-mobile</seg>
+        korganizer-mobile, ksendemail, ktimetracker, ktnef, kwatchgnupg, 
+        mboximporter, notes-mobile, pimsettingexporter, sieveeditor, storageservicemanger,
+        and tasks-mobile</seg>
         <seg>several in &kde-dir;/lib</seg>
         <seg>several in &kde-dir;/share</seg>
Index: kde/add/libkcddb.xml
===================================================================
--- kde/add/libkcddb.xml	(revision 428191d6da5b9e037e921b7c7672abbaff1b0b41)
+++ kde/add/libkcddb.xml	(revision 5036aa294dd1f3dc20a713b1bb749f7c2f61ac60)
@@ -7,8 +7,8 @@
   <!ENTITY libkcddb-download-http "&kde-download-http;applications/&kde-apps-version;/src/libkcddb-&kde-apps-version;.tar.xz">
   <!ENTITY libkcddb-download-ftp  " ">
-  <!ENTITY libkcddb-md5sum        "67502f5285c7b95dd9cf18a35b79e572">
+  <!ENTITY libkcddb-md5sum        "02c5b67d161b3815ec8a9bd9a8d3198b">
   <!ENTITY libkcddb-size          "156 KB">
-  <!ENTITY libkcddb-buildsize     "7.4 MB">
-  <!ENTITY libkcddb-time          "0.4 SBU">
+  <!ENTITY libkcddb-buildsize     "8 MB">
+  <!ENTITY libkcddb-time          "0.5 SBU">
 ]>
 
Index: kde/add/libkdcraw.xml
===================================================================
--- kde/add/libkdcraw.xml	(revision 428191d6da5b9e037e921b7c7672abbaff1b0b41)
+++ kde/add/libkdcraw.xml	(revision 5036aa294dd1f3dc20a713b1bb749f7c2f61ac60)
@@ -7,7 +7,7 @@
   <!ENTITY libkdcraw-download-http "&kde-download-http;applications/&kde-apps-version;/src/libkdcraw-&kde-apps-version;.tar.xz">
   <!ENTITY libkdcraw-download-ftp  " ">
-  <!ENTITY libkdcraw-md5sum        "25500362c75b43ac63bdd4fedf2d6013">
+  <!ENTITY libkdcraw-md5sum        "107492896bbc6bfc59657ecb5dfceefe">
   <!ENTITY libkdcraw-size          "100 KB">
-  <!ENTITY libkdcraw-buildsize     "3.5 MB">
+  <!ENTITY libkdcraw-buildsize     "3.3 MB">
   <!ENTITY libkdcraw-time          "0.1 SBU">
 ]>
Index: kde/add/libkexiv2.xml
===================================================================
--- kde/add/libkexiv2.xml	(revision 428191d6da5b9e037e921b7c7672abbaff1b0b41)
+++ kde/add/libkexiv2.xml	(revision 5036aa294dd1f3dc20a713b1bb749f7c2f61ac60)
@@ -7,7 +7,7 @@
   <!ENTITY libkexiv2-download-http "&kde-download-http;applications/&kde-apps-version;/src/libkexiv2-&kde-apps-version;.tar.xz">
   <!ENTITY libkexiv2-download-ftp  " ">
-  <!ENTITY libkexiv2-md5sum        "2d808f0c419be8fa3e2da5c4c60901b5">
+  <!ENTITY libkexiv2-md5sum        "484acb675b7dd7287b68483181f3bb83">
   <!ENTITY libkexiv2-size          "136 KB">
-  <!ENTITY libkexiv2-buildsize     "7.1 MB">
+  <!ENTITY libkexiv2-buildsize     "6.9 MB">
   <!ENTITY libkexiv2-time          "0.3 SBU">
 ]>
Index: kde/add/okular.xml
===================================================================
--- kde/add/okular.xml	(revision 428191d6da5b9e037e921b7c7672abbaff1b0b41)
+++ kde/add/okular.xml	(revision 5036aa294dd1f3dc20a713b1bb749f7c2f61ac60)
@@ -7,8 +7,8 @@
   <!ENTITY okular-download-http "&kde-download-http;applications/&kde-apps-version;/src/okular-&kde-apps-version;.tar.xz">
   <!ENTITY okular-download-ftp  " ">
-  <!ENTITY okular-md5sum        "93236b530257b3dcaa70baa82f7e4fd8">
+  <!ENTITY okular-md5sum        "bac0e31a2d8b0009a470116ba7803bc4">
   <!ENTITY okular-size          "1.5 MB">
-  <!ENTITY okular-buildsize     "36 MB">
-  <!ENTITY okular-time          "1.3 SBU">
+  <!ENTITY okular-buildsize     "37 MB">
+  <!ENTITY okular-time          "1.6 SBU">
 ]>
 
Index: kde/core/kde-base-artwork.xml
===================================================================
--- kde/core/kde-base-artwork.xml	(revision 428191d6da5b9e037e921b7c7672abbaff1b0b41)
+++ kde/core/kde-base-artwork.xml	(revision 5036aa294dd1f3dc20a713b1bb749f7c2f61ac60)
@@ -7,5 +7,5 @@
   <!ENTITY kde-base-artwork-download-http "&kde-download-http;applications/&kde-apps-version;/src/kde-base-artwork-&kde-apps-version;.tar.xz">
   <!ENTITY kde-base-artwork-download-ftp  " ">
-  <!ENTITY kde-base-artwork-md5sum        "2cf7938c755c45cdc1e89d172c61136f">
+  <!ENTITY kde-base-artwork-md5sum        "e1a159440e9b23fccecc04b68a56f109">
   <!ENTITY kde-base-artwork-size          "7.1 MB">
   <!ENTITY kde-base-artwork-buildsize     "15 MB">
Index: kde/core/kde-baseapps.xml
===================================================================
--- kde/core/kde-baseapps.xml	(revision 428191d6da5b9e037e921b7c7672abbaff1b0b41)
+++ kde/core/kde-baseapps.xml	(revision 5036aa294dd1f3dc20a713b1bb749f7c2f61ac60)
@@ -7,5 +7,5 @@
   <!ENTITY kde-baseapps-download-http "&kde-download-http;applications/&kde-apps-version;/src/kde-baseapps-&kde-apps-version;.tar.xz">
   <!ENTITY kde-baseapps-download-ftp  " ">
-  <!ENTITY kde-baseapps-md5sum        "40a511730062970fc5ee7c82477b3172">
+  <!ENTITY kde-baseapps-md5sum        "c35e5cf08e0f1111adbfd0c7cac6b01b">
   <!ENTITY kde-baseapps-size          "2.5 MB">
   <!ENTITY kde-baseapps-buildsize     "102 MB">
Index: kde/core/kde-runtime.xml
===================================================================
--- kde/core/kde-runtime.xml	(revision 428191d6da5b9e037e921b7c7672abbaff1b0b41)
+++ kde/core/kde-runtime.xml	(revision 5036aa294dd1f3dc20a713b1bb749f7c2f61ac60)
@@ -7,8 +7,8 @@
   <!ENTITY kde-runtime-download-http "&kde-download-http;applications/&kde-apps-version;/src/kde-runtime-&kde-apps-version;.tar.xz">
   <!ENTITY kde-runtime-download-ftp  " ">
-  <!ENTITY kde-runtime-md5sum        "75bedb5ed5783b3a9231ee365df80f3d">
+  <!ENTITY kde-runtime-md5sum        "404af4794ca93cd7fbbb3304a671b629">
   <!ENTITY kde-runtime-size          "7.5 MB">
   <!ENTITY kde-runtime-buildsize     "139 MB">
-  <!ENTITY kde-runtime-time          "4.4 SBU">
+  <!ENTITY kde-runtime-time          "4.3 SBU">
 ]>
 
@@ -147,5 +147,5 @@
         kmimetypefinder, knotify4, kquitapp, kreadconfig, kstart, ksvgtopng,
         ktraderclient, ktrash, kuiserver, kwalletd, kwriteconfig,
-        nepomukcontroller, plasma-remote-helper, plasmapkg and solid-hardware.
+        plasma-remote-helper, plasmapkg and solid-hardware.
         </seg>
         <seg>several in &kde-dir;/lib</seg>
Index: kde/core/kde-workspace.xml
===================================================================
--- kde/core/kde-workspace.xml	(revision 428191d6da5b9e037e921b7c7672abbaff1b0b41)
+++ kde/core/kde-workspace.xml	(revision 5036aa294dd1f3dc20a713b1bb749f7c2f61ac60)
@@ -7,8 +7,8 @@
   <!ENTITY kde-workspace-download-http "&kde-download-http;applications/&kde-apps-version;/src/kde-workspace-&kde-workspace-version;.tar.xz">
   <!ENTITY kde-workspace-download-ftp  "&kde-download-ftp;applications/&kde-apps-version;/src/kde-workspace-&kde-workspace-version;.tar.xz">
-  <!ENTITY kde-workspace-md5sum        "474c21b8fe03419dfc9292e95f65ac8a">
+  <!ENTITY kde-workspace-md5sum        "bd7fa9c894dda23e8d06fc6a49a561cf">
   <!ENTITY kde-workspace-size          "12.9 MB">
-  <!ENTITY kde-workspace-buildsize     "384 MB">
-  <!ENTITY kde-workspace-time          "13.2 SBU">
+  <!ENTITY kde-workspace-buildsize     "385 MB">
+  <!ENTITY kde-workspace-time          "13.3 SBU">
 ]>
 
Index: kde/core/kdelibs.xml
===================================================================
--- kde/core/kdelibs.xml	(revision 428191d6da5b9e037e921b7c7672abbaff1b0b41)
+++ kde/core/kdelibs.xml	(revision 5036aa294dd1f3dc20a713b1bb749f7c2f61ac60)
@@ -7,8 +7,8 @@
   <!ENTITY kdelibs-download-http "&kde-download-http;applications/&kde-apps-version;/src/kdelibs-&kde-libs-version;.tar.xz">
   <!ENTITY kdelibs-download-ftp  " ">
-  <!ENTITY kdelibs-md5sum        "e528a57861308f1389a9efd61ec8492d">
+  <!ENTITY kdelibs-md5sum        "68cb7191d8f7ac383cc30bfe69a016bc">
   <!ENTITY kdelibs-size          "11.1 MB">
-  <!ENTITY kdelibs-buildsize     "450 MB">
-  <!ENTITY kdelibs-time          "17.5 SBU">
+  <!ENTITY kdelibs-buildsize     "453 MB">
+  <!ENTITY kdelibs-time          "16.5 SBU">
 ]>
 
Index: kde/core/kdepimlibs.xml
===================================================================
--- kde/core/kdepimlibs.xml	(revision 428191d6da5b9e037e921b7c7672abbaff1b0b41)
+++ kde/core/kdepimlibs.xml	(revision 5036aa294dd1f3dc20a713b1bb749f7c2f61ac60)
@@ -7,8 +7,8 @@
   <!ENTITY kdepimlibs-download-http "&kde-download-http;applications/&kde-apps-version;/src/kdepimlibs-&kdepim-version;.tar.xz">
   <!ENTITY kdepimlibs-download-ftp  " ">
-  <!ENTITY kdepimlibs-md5sum        "9bb0b140d7d76ae2afa8209b06eef4b0">
+  <!ENTITY kdepimlibs-md5sum        "098c975fb970621dc8382ed3c28de0eb">
   <!ENTITY kdepimlibs-size          "2.7 MB">
   <!ENTITY kdepimlibs-buildsize     "213 MB">
-  <!ENTITY kdepimlibs-time          "8.5 SBU">
+  <!ENTITY kdepimlibs-time          "8.3 SBU">
 ]>
 
@@ -122,5 +122,5 @@
 
       <seglistitem>
-        <seg>akonadi_benchmarker and akonaditest</seg>
+        <seg>akonadi2xml, akonadi_benchmarker, and akonaditest</seg>
         <seg>several in &kde-dir;/lib</seg>
         <seg>several in &kde-dir;/include, &kde-dir;/lib and &kde-dir;/share
Index: kde/core/oxygen-icons.xml
===================================================================
--- kde/core/oxygen-icons.xml	(revision 428191d6da5b9e037e921b7c7672abbaff1b0b41)
+++ kde/core/oxygen-icons.xml	(revision 5036aa294dd1f3dc20a713b1bb749f7c2f61ac60)
@@ -7,7 +7,7 @@
   <!ENTITY oxygen-icons-download-http "&kde-download-http;applications/&kde-apps-version;/src/oxygen-icons-&kde-apps-version;.tar.xz">
   <!ENTITY oxygen-icons-download-ftp  " ">
-  <!ENTITY oxygen-icons-md5sum        "fc76dd9756c84b28b3c1001baf242fe2">
+  <!ENTITY oxygen-icons-md5sum        "4f24f975fb90d8daab833fc719ce39a3">
   <!ENTITY oxygen-icons-size          "219 MB">
-  <!ENTITY oxygen-icons-buildsize     "473 MB">
+  <!ENTITY oxygen-icons-buildsize     "474 MB">
   <!ENTITY oxygen-icons-time          "less than 0.1 SBU">
 ]>