Index: general/genlib/libmbim.xml
===================================================================
--- general/genlib/libmbim.xml	(revision 8a3feaa18ced3471611c5ca8bb5de5748f4aa300)
+++ general/genlib/libmbim.xml	(revision 5037cb19baa1bdcc4ec9dc2a7f635f6e7163aac0)
@@ -7,8 +7,8 @@
   <!ENTITY libmbim-download-http "https://www.freedesktop.org/software/libmbim/libmbim-&libmbim-version;.tar.xz">
   <!ENTITY libmbim-download-ftp  " ">
-  <!ENTITY libmbim-md5sum        "7f7da7fa4bf37e64e44822fa00d42d6b">
-  <!ENTITY libmbim-size          "464 KB">
+  <!ENTITY libmbim-md5sum        "b5506db07fb2a0b118e0d6e59b3d5b8f">
+  <!ENTITY libmbim-size          "468 KB">
   <!ENTITY libmbim-buildsize     "21 MB (with tests)">
-  <!ENTITY libmbim-time          "0.2 SBU (with tests)">
+  <!ENTITY libmbim-time          "0.1 SBU (with tests)">
 ]>
 
Index: general/prog/cmake.xml
===================================================================
--- general/prog/cmake.xml	(revision 8a3feaa18ced3471611c5ca8bb5de5748f4aa300)
+++ general/prog/cmake.xml	(revision 5037cb19baa1bdcc4ec9dc2a7f635f6e7163aac0)
@@ -7,8 +7,8 @@
   <!ENTITY cmake-download-http "https://cmake.org/files/v&cmake-major-version;/cmake-&cmake-version;.tar.gz">
   <!ENTITY cmake-download-ftp  " ">
-  <!ENTITY cmake-md5sum        "9ecf167edadb87e2d75cc89fded7aadb">
+  <!ENTITY cmake-md5sum        "bf69e837eeda3dd4e9f52cffcf546a11">
   <!ENTITY cmake-size          "8.8 MB">
-  <!ENTITY cmake-buildsize     "393 MB (add 494 MB for tests)">
-  <!ENTITY cmake-time          "2.7 SBU (add 3.4 SBU for tests, both using parallelism=4)">
+  <!ENTITY cmake-buildsize     "391 MB (add 485 MB for tests)">
+  <!ENTITY cmake-time          "2.6 SBU (add 3.0 SBU for tests, both using parallelism=4)">
 ]>
 
@@ -91,7 +91,7 @@
     <para role="optional">
       <xref linkend="qt5"/> (for the Qt-based GUI),
-      <xref linkend="subversion"/> (for testing), and
-      <ulink url="https://pypi.python.org/pypi/Sphinx">Sphinx</ulink>
-      (for building documents)
+      <xref linkend="subversion"/> (for testing), 
+      <ulink url="https://pypi.python.org/pypi/Sphinx">Sphinx</ulink> (for building documents), and 
+      <ulink url="https://github.com/facebook/zstd">zstd</ulink> (for testing)
     </para>
 
@@ -127,5 +127,7 @@
       <literal>LANG</literal> is set to a non-blank value and failures 
       occur, try running the tests without having <literal>LANG</literal> set.
-      One test, RunCMake.CommandLineTar, is known to fail.
+      One test, RunCMake.CommandLineTar, is known to fail if the 
+      <ulink url="https://github.com/facebook/zstd">zstd</ulink> 
+      package is not installed.
 
      <!-- Please, don't remove this comment, needed if tests start to fail
Index: gnome.ent
===================================================================
--- gnome.ent	(revision 8a3feaa18ced3471611c5ca8bb5de5748f4aa300)
+++ gnome.ent	(revision 5037cb19baa1bdcc4ec9dc2a7f635f6e7163aac0)
@@ -24,5 +24,5 @@
 <!ENTITY GConf-version                     "3.2.6">
 <!ENTITY geocode-glib-version              "3.26.1">
-<!ENTITY gjs-version                       "1.56.2">
+<!ENTITY gjs-version                       "1.58.0">
 <!ENTITY gnome-autoar-version              "0.2.3">
 <!ENTITY gnome-desktop-version             "3.32.2">
Index: gnome/platform/gjs.xml
===================================================================
--- gnome/platform/gjs.xml	(revision 8a3feaa18ced3471611c5ca8bb5de5748f4aa300)
+++ gnome/platform/gjs.xml	(revision 5037cb19baa1bdcc4ec9dc2a7f635f6e7163aac0)
@@ -5,10 +5,10 @@
   %general-entities;
 
-  <!ENTITY gjs-download-http "&gnome-download-http;/gjs/1.56/gjs-&gjs-version;.tar.xz">
-  <!ENTITY gjs-download-ftp  "&gnome-download-ftp;/gjs/1.56/gjs-&gjs-version;.tar.xz">
-  <!ENTITY gjs-md5sum        "6744153c56e958ad496021062e21823f">
-  <!ENTITY gjs-size          "688 KB">
-  <!ENTITY gjs-buildsize     "75 MB (with tests)">
-  <!ENTITY gjs-time          "0.6 SBU (using parallelism=4; with tests)">
+  <!ENTITY gjs-download-http "&gnome-download-http;/gjs/1.58/gjs-&gjs-version;.tar.xz">
+  <!ENTITY gjs-download-ftp  "&gnome-download-ftp;/gjs/1.58/gjs-&gjs-version;.tar.xz">
+  <!ENTITY gjs-md5sum        "3a959f8d543efbe03871fbfd5a634181">
+  <!ENTITY gjs-size          "620 KB">
+  <!ENTITY gjs-buildsize     "88 MB (with tests)">
+  <!ENTITY gjs-time          "0.4 SBU (using parallelism=4; with tests)">
 ]>
 
@@ -113,5 +113,6 @@
       To test the results, issue: <command>make check</command>. The
       <application>GTK</application> and <application>Cairo</application>
-      tests will fail if not running in an Xorg session.
+      tests will fail if not running in an Xorg session. Two tests related
+      to testGIMarshalling.js are known to fail.
     </para>
 
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 8a3feaa18ced3471611c5ca8bb5de5748f4aa300)
+++ introduction/welcome/changelog.xml	(revision 5037cb19baa1bdcc4ec9dc2a7f635f6e7163aac0)
@@ -47,4 +47,20 @@
       <itemizedlist>
         <listitem>
+          <para>[bdubbs] - Update to gjs-1.58.0. Fixes
+          <ulink url="&blfs-ticket-root;12508">#12508</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to libmbim-1.20.0. Fixes
+          <ulink url="&blfs-ticket-root;12499">#12499</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to dhcpcd-8.0.4. Fixes
+          <ulink url="&blfs-ticket-root;12491">#12491</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to cmake-3.15.3. Fixes
+          <ulink url="&blfs-ticket-root;12490">#12490</ulink>.</para>
+        </listitem>
+        <listitem>
           <para>[timtas] - Update to exim-4.92.2 Fixes
           <ulink url="&blfs-ticket-root;12500">#12500</ulink>.</para>
Index: networking/connect/dhcpcd.xml
===================================================================
--- networking/connect/dhcpcd.xml	(revision 8a3feaa18ced3471611c5ca8bb5de5748f4aa300)
+++ networking/connect/dhcpcd.xml	(revision 5037cb19baa1bdcc4ec9dc2a7f635f6e7163aac0)
@@ -7,5 +7,5 @@
   <!ENTITY dhcpcd-download-http "https://roy.marples.name/downloads/dhcpcd/dhcpcd-&dhcpcd-version;.tar.xz">
   <!ENTITY dhcpcd-download-ftp  "ftp://roy.marples.name/pub/dhcpcd/dhcpcd-&dhcpcd-version;.tar.xz">
-  <!ENTITY dhcpcd-md5sum        "182d506dd88773aec017d93a22d0f025">
+  <!ENTITY dhcpcd-md5sum        "e113011705f5aa20821415a51155d4d0">
   <!ENTITY dhcpcd-size          "220 KB">
   <!ENTITY dhcpcd-buildsize     "2.4 MB">
Index: packages.ent
===================================================================
--- packages.ent	(revision 8a3feaa18ced3471611c5ca8bb5de5748f4aa300)
+++ packages.ent	(revision 5037cb19baa1bdcc4ec9dc2a7f635f6e7163aac0)
@@ -144,5 +144,5 @@
 <!ENTITY libksba-version              "1.3.5">
 <!ENTITY liblinear-version            "230">
-<!ENTITY libmbim-version              "1.18.2">
+<!ENTITY libmbim-version              "1.20.0">
 <!ENTITY libnfsidmap-version          "0.26">
 <!ENTITY libpaper-version             "1.1.24+nmu5">
@@ -310,5 +310,5 @@
 <!ENTITY clisp-version                "2.49">
 <!ENTITY cmake-major-version          "3.15">
-<!ENTITY cmake-minor-version          "2">
+<!ENTITY cmake-minor-version          "3">
 <!ENTITY cmake-version                "&cmake-major-version;.&cmake-minor-version;">
 <!ENTITY dejagnu-version              "1.6.2">
@@ -539,5 +539,5 @@
 <!-- Chapter 14 -->
 <!--<!ENTITY ppp-version                  "2.4.5">-->
-<!ENTITY dhcpcd-version               "8.0.3">
+<!ENTITY dhcpcd-version               "8.0.4">
 <!ENTITY dhcp-version                 "4.4.1">
 