Index: gnome/lib/bonobo/bonobo-activation-inst.xml
===================================================================
--- gnome/lib/bonobo/bonobo-activation-inst.xml	(revision d7f2db676369702c5f6e10afe628db964ba67cde)
+++ gnome/lib/bonobo/bonobo-activation-inst.xml	(revision 5085c98c8a397129610493bca87f32cb6271a579)
@@ -4,5 +4,5 @@
 <para>Install bonobo-activation by running the following commands:</para>
 
-<para><screen><userinput>./configure --prefix=/opt/gnome2 --libexecdir=/opt/gnome2/sbin --sysconfdir=/etc/gnome &amp;&amp;
+<para><screen><userinput>./configure --prefix=/opt/gnome2 --libexecdir=/opt/gnome2/sbin &amp;&amp;
 make &amp;&amp;
 make install</userinput></screen></para>
Index: gnome/lib/gconf/gconf-inst.xml
===================================================================
--- gnome/lib/gconf/gconf-inst.xml	(revision d7f2db676369702c5f6e10afe628db964ba67cde)
+++ gnome/lib/gconf/gconf-inst.xml	(revision 5085c98c8a397129610493bca87f32cb6271a579)
@@ -4,5 +4,5 @@
 <para>Install GConf by running the following commands:</para>
 
-<para><screen><userinput>./configure --prefix=/opt/gnome2 --libexecdir=/opt/gnome2/sbin --sysconfdir=/etc/gnome &amp;&amp;
+<para><screen><userinput>./configure --prefix=/opt/gnome2 --libexecdir=/opt/gnome2/sbin &amp;&amp;
 make &amp;&amp;
 make install</userinput></screen></para>
Index: gnome/lib/gnome-mime-data/gnome-mime-data-inst.xml
===================================================================
--- gnome/lib/gnome-mime-data/gnome-mime-data-inst.xml	(revision d7f2db676369702c5f6e10afe628db964ba67cde)
+++ gnome/lib/gnome-mime-data/gnome-mime-data-inst.xml	(revision 5085c98c8a397129610493bca87f32cb6271a579)
@@ -4,5 +4,5 @@
 <para>Install gnome-mime-data by running the following commands:</para>
 
-<para><screen><userinput>./configure --prefix=/opt/gnome2 --sysconfdir=/etc/gnome &amp;&amp;
+<para><screen><userinput>./configure --prefix=/opt/gnome2 &amp;&amp;
 make &amp;&amp;
 make install</userinput></screen></para>
Index: gnome/lib/gnome-vfs/gnome-vfs-exp.xml
===================================================================
--- gnome/lib/gnome-vfs/gnome-vfs-exp.xml	(revision d7f2db676369702c5f6e10afe628db964ba67cde)
+++ 	(revision )
@@ -1,10 +1,0 @@
-<sect2>
-<title>Command explanations</title>
-
-<para><userinput>--with-gconf-source=xml::/etc/gnome/gconf/gconf.xml.defaults
-:</userinput> This variable does not respond to the
-sysconfdir=/etc/gnome instruction and will try to install to the
-<filename>/opt/gnome2/etc</filename> directory.</para>
-
-</sect2>
-
Index: gnome/lib/gnome-vfs/gnome-vfs-inst.xml
===================================================================
--- gnome/lib/gnome-vfs/gnome-vfs-inst.xml	(revision d7f2db676369702c5f6e10afe628db964ba67cde)
+++ gnome/lib/gnome-vfs/gnome-vfs-inst.xml	(revision 5085c98c8a397129610493bca87f32cb6271a579)
@@ -4,6 +4,5 @@
 <para>Install gnome-vfs by running the following commands:</para>
 
-<para><screen><userinput>./configure --prefix=/opt/gnome2 --sysconfdir=/etc/gnome \
---with-gconf-source=xml::/etc/gnome/gconf/gconf.xml.defaults &amp;&amp;
+<para><screen><userinput>./configure --prefix=/opt/gnome2 &amp;&amp;
 make &amp;&amp;
 make install</userinput></screen></para>
Index: gnome/lib/gnomelib/gnome-libs-inst.xml
===================================================================
--- gnome/lib/gnomelib/gnome-libs-inst.xml	(revision d7f2db676369702c5f6e10afe628db964ba67cde)
+++ gnome/lib/gnomelib/gnome-libs-inst.xml	(revision 5085c98c8a397129610493bca87f32cb6271a579)
@@ -4,5 +4,5 @@
 <para>Install gnome-libs by running the following commands:</para>
 
-<para><screen><userinput>./configure --prefix=/opt/gnome --localstatedir=/var --sysconfdir=/etc/gnome &amp;&amp;
+<para><screen><userinput>./configure --prefix=/opt/gnome --localstatedir=/var/spool &amp;&amp;
 make &amp;&amp;
 make install</userinput></screen></para>
Index: gnome/lib/gnomelib/libgnome-exp.xml
===================================================================
--- gnome/lib/gnomelib/libgnome-exp.xml	(revision d7f2db676369702c5f6e10afe628db964ba67cde)
+++ 	(revision )
@@ -1,10 +1,0 @@
-<sect2>
-<title>Command explanations</title>
-
-<para><userinput>--with-gconf-source=xml::/etc/gnome/gconf/gconf.xml.defaults
-:</userinput> This variable does not respond to the
-sysconfdir=/etc/gnome instruction and will try to install to the
-<filename>/opt/gnome2/etc</filename> directory.</para>
-
-</sect2>
-
Index: gnome/lib/gnomelib/libgnome-inst.xml
===================================================================
--- gnome/lib/gnomelib/libgnome-inst.xml	(revision d7f2db676369702c5f6e10afe628db964ba67cde)
+++ gnome/lib/gnomelib/libgnome-inst.xml	(revision 5085c98c8a397129610493bca87f32cb6271a579)
@@ -4,6 +4,5 @@
 <para>Install libgnome by running the following commands:</para>
 
-<para><screen><userinput>./configure --prefix=/opt/gnome2 --sysconfdir=/etc/gnome --libexecdir=/opt/gnome2/sbin \
---with-gconf-source=xml::/etc/gnome/gconf/gconf.xml.defaults &amp;&amp;
+<para><screen><userinput>./configure --prefix=/opt/gnome2 --libexecdir=/opt/gnome2/sbin &amp;&amp;
 make &amp;&amp;
 make install</userinput></screen></para>
Index: gnome/lib/libgnome.xml
===================================================================
--- gnome/lib/libgnome.xml	(revision d7f2db676369702c5f6e10afe628db964ba67cde)
+++ gnome/lib/libgnome.xml	(revision 5085c98c8a397129610493bca87f32cb6271a579)
@@ -5,5 +5,4 @@
 &libgnome-intro;
 &libgnome-inst;
-&libgnome-exp;
 &libgnome-config;
 &libgnome-desc;
Index: gnome/lib/libgnomeprint/libgnomeprint-inst.xml
===================================================================
--- gnome/lib/libgnomeprint/libgnomeprint-inst.xml	(revision d7f2db676369702c5f6e10afe628db964ba67cde)
+++ gnome/lib/libgnomeprint/libgnomeprint-inst.xml	(revision 5085c98c8a397129610493bca87f32cb6271a579)
@@ -4,5 +4,5 @@
 <para>Install libgnomeprint by running the following commands:</para>
 
-<para><screen><userinput>./configure --prefix=/opt/gnome2 --sysconfdir=/etc/gnome &amp;&amp;
+<para><screen><userinput>./configure --prefix=/opt/gnome2 &amp;&amp;
 make &amp;&amp;
 make install</userinput></screen></para>