Index: general.ent
===================================================================
--- general.ent	(revision 54f3179439cfefb3d4af7e5247c259f447cf6163)
+++ general.ent	(revision 5091d1a7225d2974bccf5fe7a2b4ef624e3b2895)
@@ -61,5 +61,5 @@
 <!ENTITY libxml2-version              "2.6.14">
 <!ENTITY libxslt-version              "1.1.11">
-<!ENTITY gmp-version                  "4.1.3">
+<!ENTITY gmp-version                  "4.1.4">
 <!ENTITY gdbm-version                 "1.8.3">
 <!ENTITY GLib-version                 "1.2.10">
Index: general/genlib/gmp.xml
===================================================================
--- general/genlib/gmp.xml	(revision 54f3179439cfefb3d4af7e5247c259f447cf6163)
+++ general/genlib/gmp.xml	(revision 5091d1a7225d2974bccf5fe7a2b4ef624e3b2895)
@@ -7,8 +7,7 @@
 <!ENTITY gmp-download-http "http://ftp.gnu.org/gnu/gmp/gmp-&gmp-version;.tar.gz">
 <!ENTITY gmp-download-ftp "ftp://ftp.gnu.org/gnu/gmp/gmp-&gmp-version;.tar.gz">
-<!ENTITY gmp-size "1.7 MB">
-<!ENTITY gmp-buildsize "29 MB">
-<!ENTITY gmp-time "0.74 SBU">
-
+<!ENTITY gmp-size "2.2 MB">
+<!ENTITY gmp-buildsize "34 MB">
+<!ENTITY gmp-time "0.91 SBU">
 ]>
 
@@ -25,5 +24,5 @@
 
 <para>The <application><acronym>GMP</acronym></application> package
-contains a math library. This has useful functions for arbitrary precision
+contains math libraries. These have useful functions for arbitrary precision
 arithmetic.</para>
 
@@ -35,5 +34,5 @@
 url="&gmp-download-ftp;"/></para></listitem>
 <listitem><para>Download size: &gmp-size;</para></listitem>
-<listitem><para>Estimated Disk space required:
+<listitem><para>Estimated disk space required:
 &gmp-buildsize;</para></listitem>
 <listitem><para>Estimated build time:
@@ -57,8 +56,27 @@
 
 <sect2>
+<title>Command explanations</title>
+
+<para><option>--enable-cxx</option>: This parameter passed to 
+<command>configure</command> enables C++ support by building the 
+<filename class="libraryfile">libgmpxx</filename> libraries.</para>
+
+<para><option>--enable-mpbsd</option>: This parameter passed to 
+<command>configure</command> enables building the Berkeley MP compatibility 
+(<filename class="libraryfile">libmp</filename>) libraries.</para>
+
+<para><option>--enable-mpfr</option>: This parameter passed to 
+<command>configure</command> enables building the Multiple Precision 
+Floating-Point Reliable (<filename class="libraryfile">libmpfr.a</filename>) 
+library.</para>
+
+</sect2>
+
+<sect2>
 <title>Contents</title>
 
 <para>The <application><acronym>GMP</acronym></application> package contains 
-<filename>libgmp</filename> libraries.</para>
+<filename class="libraryfile">libgmp</filename> and 
+<filename class="libraryfile">libmp</filename> libraries.</para>
 
 </sect2>
@@ -66,7 +84,9 @@
 <sect2><title>Description</title>
 
-<sect3><title>gmp libraries</title>
-<para><filename>libgmp</filename> libraries contain the functions to operate
-on signed integers, rational numbers, and floating point numbers.</para></sect3>
+<sect3><title>libgmp and libmp libraries</title>
+<para><filename class="libraryfile">libgmp</filename> and 
+<filename class="libraryfile">libmp</filename> libraries contain functions to 
+operate on signed integers, rational numbers, and floating point 
+numbers.</para></sect3>
 
 </sect2>
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 54f3179439cfefb3d4af7e5247c259f447cf6163)
+++ introduction/welcome/changelog.xml	(revision 5091d1a7225d2974bccf5fe7a2b4ef624e3b2895)
@@ -22,4 +22,7 @@
 
 <itemizedlist>
+
+<listitem><para>October 15th, 2004 [randy]: Updated to
+GMP-4.1.4.</para></listitem>
 
 <listitem><para>October 15th, 2004 [randy]: Updated to
Index: template/template.xml
===================================================================
--- template/template.xml	(revision 54f3179439cfefb3d4af7e5247c259f447cf6163)
+++ template/template.xml	(revision 5091d1a7225d2974bccf5fe7a2b4ef624e3b2895)
@@ -11,5 +11,5 @@
   <!ENTITY template-download-http "http://">
   <!ENTITY template-download-ftp  "ftp://">
-  <!ENTITY template-md5sum        "MD5 Sum">
+  <!ENTITY template-md5sum        "MD5 sum">
   <!ENTITY template-size          "?? MB">
   <!ENTITY template-buildsize     "?? MB">
@@ -28,5 +28,6 @@
 <title>Introduction to <application>template</application></title>
 
-<para>The <application>template</application> package contains... This is useful for...</para>
+<para>The <application>template</application> package contains... 
+This is useful for...</para>
 
 <sect3><title>Package information</title>
@@ -34,7 +35,7 @@
 <listitem><para>Download (HTTP): <ulink url="&template-download-http;"/></para></listitem>
 <listitem><para>Download (FTP): <ulink url="&template-download-ftp;"/></para></listitem>
-<listitem><para>MD5 Sum: &template-md5sum;</para></listitem>
+<listitem><para>MD5 sum: &template-md5sum;</para></listitem>
 <listitem><para>Download size: &template-size;</para></listitem>
-<listitem><para>Estimated Disk space required: &template-buildsize;</para></listitem>
+<listitem><para>Estimated disk space required: &template-buildsize;</para></listitem>
 <listitem><para>Estimated build time: &template-time;</para></listitem></itemizedlist>
 </sect3>
@@ -76,5 +77,6 @@
 <para><command>COMMAND</command>: This command does something.</para>
 
-<para><parameter>--SWITCH=PARAMETER</parameter>: This parameter does something.</para>
+<para><parameter>--SWITCH=PARAMETER</parameter>: This parameter does 
+something.</para>
 
 <para><option>--OPTION</option>: This option does something.</para>