Index: general.ent
===================================================================
--- general.ent	(revision a5080997242ebbd04e3afb482785dbc267d54323)
+++ general.ent	(revision 5153eb95fc0fbc38ca6c0983015b4a5fc58c1dd2)
@@ -1,5 +1,5 @@
 <!-- $LastChangedBy$ $Date$ -->
 
-<!ENTITY day          "30">                   <!-- Always 2 digits -->
+<!ENTITY day          "31">                   <!-- Always 2 digits -->
 <!ENTITY month        "08">                   <!-- Always 2 digits -->
 <!ENTITY year         "2014">
@@ -7,5 +7,5 @@
 <!ENTITY copyholder   "The BLFS Development Team">
 <!ENTITY version      "&year;-&month;-&day;">
-<!ENTITY releasedate  "August 30th, &year;">
+<!ENTITY releasedate  "August 31st, &year;">
 <!ENTITY pubdate      "&year;-&month;-&day;"> <!-- metadata req. by TLDP -->
 <!ENTITY blfs-version "svn">                  <!-- svn|[release #] -->
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision a5080997242ebbd04e3afb482785dbc267d54323)
+++ introduction/welcome/changelog.xml	(revision 5153eb95fc0fbc38ca6c0983015b4a5fc58c1dd2)
@@ -44,4 +44,19 @@
 
 -->
+
+    <listitem>
+      <para>August 31st, 2014</para>
+      <itemizedlist>
+        <listitem>
+          <para>[fernando] - Completely modify and fix instructions for
+          alsa-tools-1.0.28. Fixes
+          <ulink url="&blfs-ticket-root;5453">#5453</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[fernando] - Update to libreoffice-4.3.1.2. Fixes
+          <ulink url="&blfs-ticket-root;5445">#5445</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
 
     <listitem>
Index: multimedia/libdriv/alsa-tools.xml
===================================================================
--- multimedia/libdriv/alsa-tools.xml	(revision a5080997242ebbd04e3afb482785dbc267d54323)
+++ multimedia/libdriv/alsa-tools.xml	(revision 5153eb95fc0fbc38ca6c0983015b4a5fc58c1dd2)
@@ -99,24 +99,54 @@
     <title>Installation of ALSA Tools</title>
 
+&as_root;
+
+    <para>First, start a subshell that will exit on error:</para>
+
+<screen><userinput>bash -e</userinput></screen>
+
     <para>
-      The <application>ALSA Tools</application> package is only
-      needed by those with advanced requirements for their sound
-      card. The tools are not all built together, instead you
-      need to <command>cd</command> into the directory of each
-      tool you wish to compile and run the following commands:
-    </para>
-
-<screen><userinput>./configure --prefix=/usr &amp;&amp;
-make</userinput></screen>
+      Now, remove a tool that needs <application>Qt2 or 3</application> and two
+      unneed files (for the BLFS instructions below):
+    </para>
+
+<screen><userinput>rm -rf qlo10k1 Makefile gitcompile</userinput></screen>
 
     <para>
-      This package does not come with a test suite.
+      The <application>ALSA Tools</application> package is only needed by those
+      with advanced requirements for their sound card. The tools can be built
+      all together at once, but if only a subset is needed, you need to
+      <command>cd</command> into the directory of each tool you wish to compile
+      and run the commands. Here, we present instructions to build all tools.
     </para>
 
     <para>
-      Now, as the <systemitem class="username">root</systemitem> user:
-    </para>
-
-<screen role="root"><userinput>make install</userinput></screen>
+      Install all <application>ALSA Tools</application> by running the
+      following commands:
+    </para>
+
+<screen><userinput>for tool in *
+do
+  case $tool in
+    seq )
+      tool_dir=seq/sbiload
+    ;;
+    * )
+      tool_dir=$tool
+    ;;
+  esac
+
+  pushd $tool_dir
+    ./configure --prefix=/usr
+    make
+    as_root make install
+    as_root /sbin/ldconfig
+  popd
+
+done
+unset tool tool_dir</userinput></screen>
+
+    <para>Finally, exit the shell that was started earlier:</para>
+
+<screen><userinput>exit</userinput></screen>
 
   </sect2>
Index: packages.ent
===================================================================
--- packages.ent	(revision a5080997242ebbd04e3afb482785dbc267d54323)
+++ packages.ent	(revision 5153eb95fc0fbc38ca6c0983015b4a5fc58c1dd2)
@@ -577,6 +577,6 @@
 <!ENTITY gnucash-version              "2.4.11">
 
-<!ENTITY libreoffice-version          "4.3.0">
-<!ENTITY libreoffice-patch            ".4">
+<!ENTITY libreoffice-version          "4.3.1">
+<!ENTITY libreoffice-patch            ".2">
 <!ENTITY libreoffice-dlversion        "&libreoffice-version;&libreoffice-patch;">
 
Index: xsoft/office/libreoffice.xml
===================================================================
--- xsoft/office/libreoffice.xml	(revision a5080997242ebbd04e3afb482785dbc267d54323)
+++ xsoft/office/libreoffice.xml	(revision 5153eb95fc0fbc38ca6c0983015b4a5fc58c1dd2)
@@ -8,17 +8,17 @@
 
   <!ENTITY libreoffice-core-download-http "&libreoffice-dl;/libreoffice-&libreoffice-dlversion;.tar.xz">
-  <!ENTITY libreoffice-core-md5sum        "de0d9322f3aaeb20abd5e06c5c0972bb">
-  <!ENTITY libreoffice-core-size          "145 MB">
+  <!ENTITY libreoffice-core-md5sum        "cf750c01b6cd0b5c6fdd1760672e67d4">
+  <!ENTITY libreoffice-core-size          "146 MB">
 
   <!ENTITY libreoffice-dict-download-http "&libreoffice-dl;/libreoffice-dictionaries-&libreoffice-dlversion;.tar.xz">
-  <!ENTITY libreoffice-dict-md5sum        "cd27ec060c68079a13abf0984dbbf5fa">
+  <!ENTITY libreoffice-dict-md5sum        "aae27f6c9db741c42acae48a1dfb0f5e">
   <!ENTITY libreoffice-dict-size          "36 MB">
 
   <!ENTITY libreoffice-help-download-http "&libreoffice-dl;/libreoffice-help-&libreoffice-dlversion;.tar.xz">
-  <!ENTITY libreoffice-help-md5sum        "89d9da0ff2d5ea07f8c30c680fee2b0a">
+  <!ENTITY libreoffice-help-md5sum        "24692bf69bbe877ad2524653c991705a">
   <!ENTITY libreoffice-help-size          "1.8 MB">
 
   <!ENTITY libreoffice-translations-download-http "&libreoffice-dl;/libreoffice-translations-&libreoffice-dlversion;.tar.xz">
-  <!ENTITY libreoffice-translations-md5sum        "8e2f7905a0f827f655a1e21d93c6ddf7">
+  <!ENTITY libreoffice-translations-md5sum        "b8d3445100c10bb4f21f6c8f25c5c600">
   <!ENTITY libreoffice-translations-size          "121 MB">
 
@@ -28,6 +28,9 @@
   dependencies (with-system... -->
 
-  <!ENTITY libreoffice-buildsize          "8.23 GB (497 MB installed) - 9.6 GB (528 MB installed), with translations">
-  <!ENTITY libreoffice-time               "144 SBU - 165 SBU, with translations">
+  <!ENTITY libreoffice-buildsize          "8.1 GB (497 MB installed) - 9.6 GB (528 MB installed), with translations">
+  <!ENTITY libreoffice-time               "200 SBU, with translations">
+  <!-- [fo] For version 4.3.1.2 I've got, for i686, SBU larger than the upper
+  limit, thus, temporarily, decided to used a single SBU, instead of a range.
+  -->
   <!-- This package has some peculiarities, some discussed in the text.
   Two values for SBU and buildsize are given due to the large difference
@@ -135,4 +138,10 @@
         <para>
           Translations size: &libreoffice-translations-size;
+        </para>
+      </listitem>
+      <listitem>
+        <para>
+          Required patch for to fix building with system Boost:
+          <ulink url="&patch-root;/libreoffice-&libreoffice-dlversion;-boost_1_56_0-1.patch"/>
         </para>
       </listitem>
@@ -167,5 +176,5 @@
 
     <para role="recommended">
-    <!--<xref linkend="boost"/>,-->
+      <xref linkend="boost"/>,
       <xref linkend="clucene"/>,
       <xref linkend="cups"/>,
@@ -251,5 +260,5 @@
   <sect2 role="installation">
     <title>Installation of LibreOffice</title>
-
+<!--
     <warning>
       <para>
@@ -271,9 +280,9 @@
         <systemitem class="username">root</systemitem>. If you must untar it as
         <systemitem class="username">root</systemitem> pass the option
-        <option>--no-overwrite-dir</option> to tar. This is the default when you
+        <option>-\-no-overwrite-dir</option> to tar. This is the default when you
         untar as a user but has to be passed as an option when untaring as
         <systemitem class="username">root</systemitem>:
       </para>
-    </warning>
+    </warning>-->
 
 <screen role="root"><userinput>tar -xf libreoffice-&libreoffice-dlversion;.tar.xz --no-overwrite-dir &amp;&amp;
@@ -310,5 +319,5 @@
     </para>
 
-<screen><userinput>ln -sv ../../libreoffice-translations-&libreoffice-dlversion;.tar.xz external/tarballs/</userinput></screen>
+<screen><userinput>ln -sv ../../../libreoffice-translations-&libreoffice-dlversion;.tar.xz external/tarballs/</userinput></screen>
 
     <note>
@@ -350,13 +359,11 @@
     </para>
 
-<screen><userinput>sed -e "/gzip -f/d"   \
+<screen><userinput>patch -Np1 -i ../libreoffice-&libreoffice-dlversion;-boost_1_56_0-1.patch &amp;&amp;
+
+sed -e "/gzip -f/d"   \
     -e "s|.1.gz|.1|g" \
     -i bin/distro-install-desktop-integration        &amp;&amp;
+
 sed -e "/distro-install-file-lists/d" -i Makefile.in &amp;&amp;
-
-sed -e "/distro-install-file-lists/d"           \
-    -e "s:fetch_Download_item:&amp;_unchecked:" \
-    -e "/fetch_Download_item/s:,no-check::"     \
-   -i Makefile.in                                  &amp;&amp;
 
 chmod -v +x bin/unpack-sources                     &amp;&amp;
@@ -377,6 +384,6 @@
              --disable-postgresql-sdbc   \
              --enable-release-build=yes  \
-             --enable-python=system      \<!--
-             - -with-system-boost    \ --> 
+             --enable-python=system      \
+             --with-system-boost         \
              --with-system-clucene       \
              --with-system-cairo         \
@@ -458,6 +465,5 @@
       <command>sed -e ...</command>: First sed prevents compression of the
       manual pages, the second one prevents a script that causes install to
-      fail from running, the third one fixes the download location and the
-      fourth one fixes the unpack script.
+      fail from running, the third one fixes the unpack script.
     </para>
 