Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision faa948c69687e4950794a1cae1768401f3daabee)
+++ introduction/welcome/changelog.xml	(revision 5157e71b6148430a985f528ebf227e381ba063f9)
@@ -42,4 +42,8 @@
      <para>August 22nd, 2023</para>
      <itemizedlist>
+       <listitem>
+         <para>[bdubbs] - Update to fop-2.9. Fixes
+         <ulink url="&blfs-ticket-root;18441">#18441</ulink>.</para>
+       </listitem>
        <listitem>
          <para>[bdubbs] - Update to apache-ant-1.10.14. Fixes
Index: packages.ent
===================================================================
--- packages.ent	(revision faa948c69687e4950794a1cae1768401f3daabee)
+++ packages.ent	(revision 5157e71b6148430a985f528ebf227e381ba063f9)
@@ -1140,5 +1140,5 @@
 <!ENTITY enscript-version             "1.6.6">
 <!ENTITY epdfview-version             "0.1.8">
-<!ENTITY fop-version                  "2.8">
+<!ENTITY fop-version                  "2.9">
 <!ENTITY mupdf-version                "1.22.2">
 <!ENTITY paps-version                 "0.7.1">
Index: pst/ps/fop.xml
===================================================================
--- pst/ps/fop.xml	(revision faa948c69687e4950794a1cae1768401f3daabee)
+++ pst/ps/fop.xml	(revision 5157e71b6148430a985f528ebf227e381ba063f9)
@@ -7,9 +7,9 @@
   <!ENTITY fop-download-http "https://archive.apache.org/dist/xmlgraphics/fop/source/fop-&fop-version;-src.tar.gz">
   <!ENTITY fop-download-ftp  " ">
-  <!ENTITY fop-md5sum        "610bfd7797755d744b2c4f61422478cf">
-  <!ENTITY fop-size          "22 MB">
-  <!ENTITY fop-buildsize     "517 MB (including files downloaded to the user directory)">
-  <!ENTITY fop-time          "0.6 SBU">
-
+  <!ENTITY fop-md5sum        "f7537ca7f2e16971fa99c8bb0dad62c7">
+  <!ENTITY fop-size          "20 MB">
+  <!ENTITY fop-buildsize     "333 MB (including files downloaded to the user directory)">
+  <!ENTITY fop-time          "0.9 SBU">
+<!--
   <!ENTITY pdfbox-version    "2.0.27">
   <!ENTITY pdfbox-download   "https://archive.apache.org/dist/pdfbox/&pdfbox-version;/pdfbox-&pdfbox-version;.jar">
@@ -20,10 +20,10 @@
   <!ENTITY fontbox-md5sum    "587744efe2a82d3584c2f3969fa4dca0">
   <!ENTITY fontbox-size      "1.5 MB">
-
+-->
   <!ENTITY maven-major        "3">
-  <!ENTITY maven-version      "3.8.6">
+  <!ENTITY maven-version      "3.9.4">
   <!ENTITY maven-download     "https://archive.apache.org/dist/maven/maven-&maven-major;/&maven-version;/binaries/apache-maven-&maven-version;-bin.tar.gz">
-  <!ENTITY maven-md5sum       "0e07de4a7b5c84ebed737a2002f52019">
-  <!ENTITY maven-size         "8.3 MB (additionally, about 90 MB are downloaded to the building user's directory)">
+  <!ENTITY maven-md5sum       "0698a533397eda60cbebcc0fb68ae842">
+  <!ENTITY maven-size         "9.0 MB (additionally, about 90 MB are downloaded to the building user's directory)">
 
   <!ENTITY offo-download     "&sourceforge-dl;/offo/2.2/offo-hyphenation.zip">
@@ -55,5 +55,5 @@
     </para>
 
-    &lfs113_checked;
+    &lfs120_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
@@ -94,4 +94,5 @@
     <itemizedlist spacing="compact">
       <title>Required Additional Downloads:</title>
+<!--
       <listitem>
         <para>
@@ -114,4 +115,5 @@
         </para>
       </listitem>
+-->
       <listitem>
         <para>
@@ -125,10 +127,5 @@
       </listitem>
     </itemizedlist>
-<!-- Using the archive above allows finding all versions
-    <note><para>
-      The pdfbox and fontbox packages may not be available at the above
-      location.  If not, they can be found at the BLFS files mirror sites.
-    </para></note>
--->
+
     <itemizedlist spacing="compact">
       <title>Recommended packages</title>
@@ -154,8 +151,5 @@
     <bridgehead renderas="sect4">Optional</bridgehead>
     <para role="optional">
-<!-- Included into ant      <xref linkend="junit"/> (to run tests),-->
       <xref linkend="x-window-system"/> (to run tests),
-<!--      <xref linkend="maven"/> (an alternate build system), not functional
-      with fop-2.3          -->
       <ulink url="https://jai-tools.blogspot.com/">JAI Image I/O Tools</ulink>, and
       <ulink url="https://jeuclid.sourceforge.net/">JEuclid</ulink>
@@ -223,19 +217,6 @@
 &lt;arg value="--ignore-source-errors"/&gt;' \
     fop/build.xml</userinput></screen>
-<!-- Seems to have been fixed in 2.6
-      <para>
-        The stack size set in <filename>build.xml</filename> for building the
-        hyphenation patterns is not large enough. Change it by running:
-      </para>
-
-<screen><userinput>sed -e '/hyph\.stack/s/512k/1M/' \
-    -i fop/build.xml</userinput></screen>
-fixed with maven-3.8.4
-      <para>
-        Fix building with JDK-16 due to an outdated Apache Maven plugin:
-      </para>
-
-<screen><userinput remap="pre">sed -i 's/&lt;war.plugin.version&gt;2.2/&lt;war.plugin.version&gt;3.3.1/' pom.xml</userinput></screen>
--->
+
+<!--
       <para>
         The <filename>build.xml</filename> file calls for an old version of
@@ -245,5 +226,5 @@
 
 <screen><userinput>cp ../{pdf,font}box-&pdfbox-version;.jar fop/lib</userinput></screen>
-
+-->
       <para>
         Compile <application>fop</application> by running the following